2010-08-18 10:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6972] Utilities/VTK/Applications/gdcm2vtk.cxx,
	  Utilities/VTK/Testing/Cxx/CMakeLists.txt,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMThreadedImageReader2.cxx:
	  Make sure to compile with VTK 4.2.

2010-08-18 09:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6968] ChangeLog: update changelog before gdcm 2.0.16 (again)

2010-08-18 08:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6967] Utilities/VTK/CMakeLists.txt: revert change. Leave a
	  version number on the pythond library.

2010-08-18 08:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6966] ChangeLog: update changelog before gdcm 2.0.16

2010-08-18 08:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6965] Wrapping/Python/docstrings.i: update docstrings for
	  python documentation

2010-08-18 08:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6964] ChangeLog: update changelog

2010-08-16 07:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6962] Wrapping/Csharp/gdcm.i: remove Warning(842): Covariant
	  return types not supported in C#.

2010-08-15 23:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6961] Source/MediaStorageAndFileFormat/gdcmOpenJPEG1Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmOpenJPEG1Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmOpenJPEG2Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmOpenJPEG2Codec.h,
	  Wrapping/Python/TestWrap.py: remove unused class. Fix
	  TestWrapPython

2010-08-15 23:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6960] CMake/CTestCustom.ctest.in: remove more warnings

2010-08-13 09:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6959] Utilities/doxygen/man/gdcmimg.man: document multiple
	  files

2010-08-12 14:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6958] Source/Common/gdcmException.h: minor

2010-08-12 13:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6957]
	  Testing/Source/InformationObjectDefinition/Cxx/TestIOD.cxx:
	  execrise GetTypeFromTag

2010-08-12 13:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6956]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCP246ExplicitDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestExplicitImplicitDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVR16ExplicitDataElement.cxx:
	  data extra is required for this test...

2010-08-12 13:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6955]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCP246ExplicitDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestExplicitImplicitDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestInvalidDICOMFiles.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVR16ExplicitDataElement.cxx:
	  Increase coverage and execercise obscur section of code

2010-08-12 11:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6954]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator1.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator2.cxx:
	  increase coverage

2010-08-12 11:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6953] Source/MediaStorageAndFileFormat/gdcmDataSetHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmIPPSorter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSplitMosaicFilter.cxx: Fix
	  some more warnings

2010-08-12 11:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6952]
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx:
	  Fix some warnings

2010-08-12 10:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6951] Source/DataDictionary/DefaultPrivateDicts.xsl,
	  Source/DataDictionary/gdcmPrivateDefaultDicts.cxx,
	  Source/DataDictionary/privatedicts.xml: update private dicts:
	  with STENTOR Att and S2000 Atts (siemens)

2010-08-12 08:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6950] Source/DataStructureAndEncodingDefinition/gdcmTag.h:
	  doxygen cleanup

2010-08-12 08:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6949] CMake/CTestCustom.ctest.in: remove a C# warning

2010-08-11 20:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6948] Source/DataDictionary/gdcmDictEntry.cxx: Fix compilation.
	  Thanks to Niels for quick report

2010-08-11 20:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6947] AUTHORS: synchronize author from changelog... sorry Niels
	  for this mistake.

2010-08-11 20:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6946] Source/DataDictionary/gdcmDictEntry.cxx: add missing file

2010-08-11 17:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6945] Source/DataDictionary/CMakeLists.txt,
	  Source/DataDictionary/gdcmDefaultDicts.cxx,
	  Source/DataDictionary/gdcmDictEntry.h,
	  Source/DataDictionary/gdcmPrivateDefaultDicts.cxx: BUG: 3030751
	  Fix DictEntry::GetKeyword() does not work

2010-08-11 15:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6944] Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx:
	  BUG: 3032015 Fix issue with large stack comsumption. At least the
	  one reported n the bug. Hopefully there are not that many.

2010-08-11 15:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6943] Source/MediaStorageAndFileFormat/gdcmSerieHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSorter.cxx: BUG: 3036142
	  Apply patch from Niels D. Thanks. Also move SortFunctor in empty
	  namespace to avoid any further issue -hopefully-.

2010-08-11 15:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6942] Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx:
	  BUG: 3043121 Finish up implementation of DICOM using openjpeg v2

2010-08-11 15:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6941] Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx:
	  Toward a working implementation with openjpeg v2

2010-08-11 13:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6940] Source/Common/gdcmFilenameGenerator.h,
	  Source/Common/gdcmUnpacker12Bits.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.h,
	  Testing/Source/Data/CMakeLists.txt,
	  Utilities/VTK/vtkGDCMImageReader.cxx: reactivate support for
	  12bits data

2010-08-11 13:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6939] Source/Common/gdcmFilenameGenerator.cxx: Better error
	  handling

2010-08-11 12:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6938] Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReader2.cxx:
	  Fix warnings

2010-08-11 12:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6937] Utilities/VTK/Applications/gdcm2vtk.cxx: Fix mem leak

2010-08-11 12:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6936]
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx:
	  comp warning

2010-08-11 11:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6935] Source/MediaStorageAndFileFormat/gdcmPixelFormat.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx: Add
	  documentation for SetSamplesPerPixel and change default Samples
	  Per Pixel to better one

2010-08-11 10:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6934] Source/MediaStorageAndFileFormat/gdcmApplicationEntity.h,
	  Source/MediaStorageAndFileFormat/gdcmIPPSorter.h: minor tweaks

2010-08-11 10:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6933] Source/MediaStorageAndFileFormat/gdcmApplicationEntity.h,
	  Wrapping/Csharp/gdcm.i, Wrapping/Java/gdcm.i,
	  Wrapping/Python/gdcmswig.i: remove all swig warnings for now

2010-08-11 09:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6932] Wrapping/Csharp/gdcm.i, Wrapping/Java/gdcm.i,
	  Wrapping/Python/gdcmswig.i: remove some swig warnings

2010-08-11 09:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6931] CMake/FindOpenJPEG.cmake,
	  Source/Common/gdcmConfigure.h.in,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmOpenJPEG1Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmOpenJPEG1Codec.h: Handle
	  openjpeg v1 and openjpeg v2

2010-08-11 09:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6930] Utilities/gdcm_openjpeg2.h: fix compilation with new
	  opnejpeg config file

2010-08-11 08:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6929] CMakeLists.txt: update openjpeg

2010-08-11 08:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6928] CMake/FindOpenJPEG.cmake: Redo the findpackage openjpeg
	  to cope with new cmake installation

2010-08-10 22:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6927] Source/DataDictionary/txt2xml.py: update

2010-08-10 17:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6923] CMakeLists.txt: remove message

2010-08-10 17:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6922] CMakeLists.txt: minor cleanup

2010-08-10 16:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6921]
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx:
	  minor comp warning

2010-08-10 16:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6920] Utilities/gdcm_openjpeg2.h: very early support for ojv2

2010-08-10 16:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6919] Testing/Source/Common/Cxx/TestSystem.cxx: minor comp
	  warning

2010-08-10 15:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6918] CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx: BUG: 3042605
	  Prepare initial fix

2010-08-10 14:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6917] Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx:
	  Properly handle gdcmData/MR16BitsAllocated_8BitsStored.dcm now

2010-08-10 13:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6916] Source/MediaStorageAndFileFormat/gdcmRescaler.cxx: More
	  info on technical details

2010-08-10 13:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6915] Utilities/doxygen/man/gdcm2vtk.man: document new options
	  in gdcm2vtk

2010-08-10 13:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6914] Utilities/VTK/Applications/gdcm2vtk.cxx: Properly check
	  for error. Add support for vtkDICOMImageReader.

2010-08-10 13:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6913] Utilities/VTK/Examples/Cxx/threadgdcm.cxx: simple warning

2010-08-10 13:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6912] Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h: Allow setting dircos from the
	  iop directly

2010-08-10 13:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6911] Utilities/VTK/vtkGDCMImageReader.cxx: simple warning

2010-08-10 12:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6910] Utilities/VTK/Examples/Cxx/CMakeLists.txt: Fix
	  compilation when vtk is not build with rendering

2010-08-10 09:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6909] Testing/Source/Data/gdcmMD5DataImages.cxx: missing md5

2010-08-07 18:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6908]
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.h: fix
	  warning

2010-08-07 18:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6907]
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.cxx: fix
	  warning

2010-08-07 18:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6906]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: fix
	  warning

2010-08-07 18:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6905] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx:
	  minor warning

2010-08-07 18:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6904] Source/InformationObjectDefinition/gdcmTableEntry.h:
	  minor warning

2010-08-07 18:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6903] Source/InformationObjectDefinition/gdcmTableEntry.h:
	  minor warning

2010-08-07 18:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6902] Source/Common/zipstreamimpl.hpp: fix warnings

2010-08-07 18:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6901]
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.cxx:
	  COMP: fix warning

2010-08-07 17:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6900] Source/Common/gdcmTrace.h: Make the macro useable from
	  outside gdcm namespace.

2010-08-07 17:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6899] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  Properly pad spacing

2010-08-07 17:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6898] Utilities/VTK/vtkGDCMImageReader.cxx: Make the code a
	  little more robust.

2010-08-07 16:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6897] Utilities/VTK/vtkGDCMImageReader.cxx: BUG: 3039334 Do not
	  assume that pointer (VTK) can hold the entire image.

2010-08-07 16:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6896] Utilities/VTK/vtkGDCMImageReader.cxx: BUG: 3039334 Work
	  toward a fix.

2010-08-07 16:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6895]
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx:
	  minor tweaks

2010-08-07 16:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6894]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator.cxx:
	  minor style

2010-08-07 16:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6893] Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx:
	  revert previous patch

2010-08-07 16:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6892] Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx:
	  Let's allow some JP2 encapsulated file

2010-08-06 09:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6891]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: fix
	  compilation warning

2010-08-04 09:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6890]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: COMP:
	  Fix compilation

2010-08-02 20:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6889]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx:
	  remove some warnings

2010-08-02 20:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6888] Source/InformationObjectDefinition/gdcmModule.cxx,
	  Source/InformationObjectDefinition/gdcmTableReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: remove some
	  warnings

2010-08-02 20:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6887]
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.cxx:
	  remove a warning

2010-08-02 20:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6886]
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.cxx:
	  remove a warning

2010-07-30 10:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6885] Source/DataStructureAndEncodingDefinition/gdcmVR.cxx:
	  Please picky compiler warning

2010-07-30 09:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6884] CMake/CTestCustom.ctest.in: remove warnigs

2010-07-30 09:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6883] Utilities/VTK/vtkGDCMImageReader.cxx: fix typos

2010-07-30 09:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6882]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPixelFormat.cxx:
	  more test

2010-07-30 09:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6881] Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.h,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPixelFormat.cxx:
	  BUG: 3036775 Add documentation to avoid this kind of mistake in
	  the future.

2010-07-28 13:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6880] CMakeLists.txt, Source/Common/gdcmConfigure.h.in,
	  Source/Common/gdcmTypes.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Testing/Cxx/CMakeLists.txt,
	  Utilities/VTK/Testing/Python/CMakeLists.txt: BUG: 3035308 More
	  cleanup. Make sure all check_include_file actualy use GDCM_
	  namespace for consistancy. remove some old stuff

2010-07-28 08:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6879] Source/Common/gdcmASN1.cxx,
	  Source/Common/gdcmSubject.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmByteSwapFilter.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.cxx: Some
	  minor compilation warnings

2010-07-28 08:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6878] Testing/Source/Data/gdcmMD5DataImages.cxx: Update the md5
	  for ybr_full_422 image. upload the one for single bit image

2010-07-27 20:06  Niels Dekker

	* [r6877] Source/Common/gdcmConfigure.h.in: STYLE: Removed
	  redundant #ifndef GDCM_HAVE_XXX statements, as suggested by Andy
	  Buckle, "Re: [Gdcm2] What about a GDCM prefix for HAVE_STRCASECMP
	  and other macro's?"

2010-07-27 18:23  Niels Dekker

	* [r6876] Source/Common/CMakeLists.txt,
	  Source/Common/gdcmConfigure.h.in, Source/Common/gdcmSwapper.txx,
	  Source/Common/gdcmSystem.cxx,
	  Source/MediaStorageAndFileFormat/gdcmUIDGenerator.cxx,
	  Testing/Source/Common/Cxx/TestFilename.cxx: STYLE: Fixed issue
	  3035308, "HAVE_XXX macro's should have a GDCM_ prefix",
	  http://sourceforge.net/tracker/index.php?func=detail&aid=3035308&group_id=137895&atid=739587

2010-07-27 16:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6875] Source/Common/gdcmCryptographicMessageSyntax.cxx: more
	  warnings

2010-07-27 16:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6874] Source/Common/gdcmCryptographicMessageSyntax.cxx: remove
	  warnings

2010-07-27 16:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6873] Source/Common/gdcmSHA1.cxx: some warnings

2010-07-27 16:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6872] Utilities/VTK/vtkGDCMImageReader.cxx: ybr is now ybr...

2010-07-27 16:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6871] Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx:
	  minor comp

2010-07-27 16:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6870] Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestDCMTKMD5.py:
	  I said do not do color space conversion

2010-07-27 15:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6869] CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestDCMTKMD5.py,
	  Utilities/VTK/CMakeLists.txt: Package paraview module

2010-07-27 11:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6867] Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/GDCMImageGUI.xml,
	  Utilities/VTK/GDCMImageReader.xml: finish implementation of
	  paraview plugin.

2010-07-27 07:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6866]
	  Testing/Source/MediaStorageAndFileFormat/Python/TestDCMTKMD5.py:
	  update test

2010-07-26 16:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6865] Source/Common/gdcmProgressEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.cxx:
	  fix some warnings

2010-07-26 16:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6864] Source/Common/gdcmTesting.cxx,
	  Testing/Source/Data/gdcmMD5DataImages.cxx: update md5sum + fix
	  warning

2010-07-26 16:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6863] Utilities/doxygen/man/gdcmconv.man: add reference

2010-07-26 10:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6862] Applications/Cxx/gdcmanon.cxx,
	  Applications/Cxx/gdcmconv.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.h,
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx: Make sure
	  PixmapWriter does not add Modality or ConversionType. Use
	  FMI::Clear for homogenity. Minor cleanups

2010-07-22 14:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6861] Utilities/VTK/CMakeLists.txt: doc

2010-07-22 14:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6860] Utilities/VTK/CMakeLists.txt: Update paraview plugin

2010-07-22 14:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6859] CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Utilities/VTK/CMakeLists.txt, Utilities/VTK/GDCMImageGUI.xml,
	  Utilities/VTK/GDCMImageReader.xml: Add option GDCM_USE_PARAVIEW

2010-07-22 14:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6858] Source/Common/gdcmConfigure.h.in: remove warning

2010-07-21 17:55  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r6857] Source/Common/gdcmConfigure.h.in: fixed a bug building as
	  a Universal Binary on Mac OS X. Remove assumption that the build
	  machine's endianness is the same as the target machine's
	  endianness.

2010-07-21 15:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6856] Utilities/doxygen/man/gdcmviewer.man: update

2010-07-21 03:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6855] Source/Common/gdcmConfigure.h.in: BUG: 3030729 Fix
	  pre-processor warnings caused by gdcmConfigure.h

2010-07-20 09:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6852]
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx:
	  update test

2010-07-20 08:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6851]
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx: Make sure
	  to handle YBR_FULL_422 the proper way

2010-07-20 08:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6850]
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.cxx:
	  Fix issue with YBR_FULL_422

2010-07-19 08:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6849]
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx:
	  Fix issue with YBR_FULL_422

2010-07-18 14:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6848] Applications/Cxx/gdcmconv.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapToPixmapFilter.cxx:
	  Better handling of ybr_full and ybr_full_422

2010-07-18 13:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6847] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx: Make sure
	  pixmapwriter does not add new elements.

2010-07-15 20:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6846] Utilities/VTK/CMakeLists.txt: Fix compilation

2010-07-14 15:31  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r6845] Source/DataDictionary/gdcmUIDs.h: fixed compiler warning
	  generated by clang

2010-07-12 10:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6844] Utilities/gdcmjpeg/README.GDCM.txt: Document DCMTK
	  copyright coming from

2010-07-12 07:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6841] ChangeLog, Utilities/doxygen/authors.xml: obfuscate niels
	  emails...totally

2010-07-09 13:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6836] CMakeLists.txt: Do not remove .NoDartCoverage files

2010-07-09 13:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6835] ChangeLog: svn2cl --reparagraph --include-rev
	  --authors=Utilities/doxygen/authors.xml

2010-07-09 12:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6834] Utilities/doxygen/authors.xml: Add emails

2010-07-09 12:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6833] Applications/Cxx/gdcmtar.cxx,
	  Utilities/doxygen/authors.xml: Add author file for svn2cl

2010-07-09 08:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6829] CMake/FindOpenSSL.cmake: more fix

2010-07-09 08:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6828] CMake/FindOpenSSL.cmake: Try to fix Openssl cmake module
	  on win32

2010-07-07 16:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6820] Wrapping/Python/docstrings.i: Update python doc

2010-07-06 08:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6815] Source/Common/gdcmFilename.cxx: remote debug of mingw

2010-07-05 17:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6814] CMakeLists.txt: set email

2010-07-05 15:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6813] Testing/CMakeLists.txt: Add two more tests

2010-07-05 14:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6812]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCodeString.cxx:
	  Properly deprecate API as reported by Niels on ML. Trim should
	  not be used explicitely.

2010-07-05 13:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6811] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx: Better
	  support for broken images

2010-07-04 13:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6810] Source/MediaStorageAndFileFormat/CMakeLists.txt: start
	  working on oj2

2010-07-04 13:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6809] Source/MediaStorageAndFileFormat/gdcmOpenJPEG2Codec.h:
	  start working on oj2

2010-07-04 13:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6808] Source/MediaStorageAndFileFormat/gdcmOpenJPEG2Codec.cxx:
	  start working on oj2

2010-07-04 13:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6807] Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx:
	  minor cleanup

2010-07-01 21:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6806] Utilities/VTK/vtkGDCMImageReader.cxx: fix comp with vtk

2010-07-01 19:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6805]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCodeString.cxx:
	  Forgot to apply proposed patch from Niels...my bad

2010-07-01 03:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6804] Source/MediaStorageAndFileFormat/gdcmImageCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.h: Fix python
	  wrapping.

2010-07-01 03:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6803] Wrapping/Csharp/gdcm.i, Wrapping/Java/gdcm.i,
	  Wrapping/Python/gdcmswig.i: Sync wrapping.

2010-07-01 02:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6802] Wrapping/Python/TestWrap.py, Wrapping/Python/gdcmswig.i:
	  Fix wrapping

2010-07-01 02:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6801] TODO: todo

2010-07-01 02:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6800] Wrapping/Csharp/CMakeLists.txt: BUG: 2895067
	  gdcmsharpglue is not working for Win32 installer.

2010-07-01 02:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6799]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h: BUG:
	  2901256 CodeString related link error (LNK2005) in gdcmDSED.

2010-07-01 02:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6798]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h:
	  BUG: 2941638 segFault in TestImageReader.

2010-07-01 02:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6797] Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMImageReader.h: BUG: 2901832 Setting
	  LoadIconImage to false causes exception .

2010-07-01 02:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6796] Source/MediaStorageAndFileFormat/gdcmAnonymizer.h: BUG:
	  2970185 gdcmanon does not recursively search in SQ.

2010-07-01 02:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6795] Applications/Cxx/gdcmimg.cxx: BUG: 2993493 Need to use
	  gdcmPixmapWriter instead.

2010-07-01 02:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6794] Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h:
	  BUG: 2997673 add root directory to gdcm.DICOMDIRGenerator

2010-07-01 02:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6793] Wrapping/Csharp/gdcm.i, Wrapping/Java/gdcm.i,
	  Wrapping/Python/gdcmswig.i: remove warning 302

2010-06-30 18:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6792] Source/Common/zipstreamimpl.h: remove my short in the
	  dark

2010-06-30 18:08  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r6791] Source/Common/zipstreamimpl.hpp: fixed compiler error
	  with clang

2010-06-30 15:18  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r6790] Applications/Cxx/gdcminfo.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.cxx:
	  fixed more compiler warnings from Rogue dashboards

2010-06-30 15:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6789] Source/DataStructureAndEncodingDefinition/gdcmVL.h: Make
	  the typedef public

2010-06-29 20:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6787]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx:
	  Add seg modality

2010-06-29 19:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6786] Source/Common/zipstreamimpl.h: shot in the dark to fix
	  clang compiler

2010-06-29 19:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6785]
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h:
	  Explicit cast to please clang compiler.

2010-06-29 19:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6784] Source/DataStructureAndEncodingDefinition/gdcmVL.h: Add
	  typedef to access internal representation

2010-06-29 14:36  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r6783]
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.cxx:
	  fixed some compiler warnings from RogueResearch7
	  Mac10.6-GDCMBS-rel dashboard.

2010-06-28 20:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6782]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h: COMP:
	  export symbols on win32

2010-06-27 17:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6781] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.cxx: Better
	  error handling

2010-06-27 16:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6780]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx:
	  Properly handle return value

2010-06-27 16:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6779] Testing/Source/DataDictionary/Cxx/TestGlobal.cxx: add
	  debug to test on cygwin.

2010-06-27 16:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6778] Testing/Source/DataDictionary/Cxx/TestGlobal.cxx: add
	  debug to test on cygwin.

2010-06-27 16:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6777] Testing/Source/DataDictionary/Cxx/TestGlobal.cxx: add
	  debug to test on cygwin.

2010-06-27 16:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6776] Testing/Source/Common/Cxx/TestSystem.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt:
	  add debug to test on cygwin. remove test when fr is not a locale

2010-06-27 16:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6775] Utilities/doxygen/doxyfile.in: reduce verbosity

2010-06-27 15:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6774] Source/Common/gdcmString.h: minor typo

2010-06-27 15:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6773] Source/Common/gdcmString.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCodeString.cxx:
	  Cleanup CodeString interface. Add doc. Make sure to Trim at
	  cstion time. Explain with validation is not perform in cstor. add
	  test to check comparion of leading/ending codestring is working.

2010-06-27 13:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6772]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h: COMP:
	  Fix compilation, need to return os.

2010-06-25 11:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6771]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx: Fix CodeString
	  compilation on win32 with shared libs + backport fix from 2.0
	  branch

2010-06-23 15:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6766] Examples/Csharp/SimplePrintPatientName.cs: Remove
	  UTF8/BOM

2010-06-23 15:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6765] Wrapping/Python/docstrings.i: Update doc

2010-06-23 15:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6764] Examples/Cxx/GenAllVR.cxx: COMP: fix comp

2010-06-23 13:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6763] Examples/Cxx/GenAllVR.cxx: Set VR

2010-06-23 13:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6762] TODO: todo

2010-06-23 13:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6761] CMake/ExportConfiguration/CMakeLists.txt: Use a simple
	  work around

2010-06-22 13:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6760] CMake/FindOpenSSL.cmake: As reported by B. King on cmake
	  dev list.

2010-06-18 13:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6759] CMake/CTestCustom.ctest.in: remove charls

2010-06-17 16:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6758] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/ChangeSequenceUltrasound.cxx: add simple example for
	  SQ manip

2010-06-17 13:13  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6757] Wrapping/Python/gdcm.py: Do not report message, this
	  scare users... thanks to Thiago Franco Moraes for report

2010-06-14 15:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6756] Source/MediaStorageAndFileFormat/gdcmLookupTable.cxx:
	  This breaks almost everything, remove...

2010-06-11 11:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6755] CMake/FindDCMTK.cmake: As reported by Thomas: in addition
	  to netapi32 I also need to link wsock32 with a static build on
	  windows.

2010-06-11 09:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6754] CMake/FindDCMTK.cmake: style+ mark as adv

2010-06-11 09:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6753] CMake/FindDCMTK.cmake: Update from cmake list

2010-06-09 15:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6752] Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx:
	  Support YBR_FULL

2010-06-09 15:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6751] Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx:
	  Better error handling

2010-06-09 15:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6750] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx: Better
	  error handling

2010-06-09 15:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6749] Source/MediaStorageAndFileFormat/gdcmKAKADUCodec.cxx: Add
	  3d support

2010-06-09 15:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6748] Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx:
	  Better error handling

2010-06-07 20:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6747] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx: Remove
	  debug

2010-05-31 21:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6739] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx: BUG: 3009661
	  working to getting better perf

2010-05-29 08:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6733] Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx: Fix
	  comp (2)

2010-05-29 08:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6732] Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx: Fix
	  comp

2010-05-29 08:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6731] Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/SimplePrintPatientName.cs: add simple example

2010-05-21 20:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6730] CMake/ExportConfiguration/CMakeLists.txt: attempt to
	  resolve export install tree vs export build tree

2010-05-12 08:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6728] Testing/Source/Data/gdcmMD5DataImages.cxx: add md5

2010-05-12 07:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6727] Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/reslicesphere.cxx: add example from ML
	  vtkusers

2010-05-11 18:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6726] Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx: restore
	  single bit image support

2010-05-11 18:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6725] Applications/Cxx/gdcmconv.cxx: add quiet option

2010-05-10 16:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6724] Source/MediaStorageAndFileFormat/gdcmPNMCodec.cxx: do not
	  write signed data in pnm file

2010-05-09 18:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6723] Source/Common/gdcmTesting.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.h,
	  Testing/Source/DataDictionary/Cxx/TestSOPClassUIDToIOD.cxx:
	  update API

2010-05-09 08:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6722] Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx: typo

2010-05-07 07:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6721] Utilities/VTK/vtkGDCMImageReader.h,
	  Utilities/VTK/vtkGDCMImageWriter.h,
	  Utilities/VTK/vtkGDCMPolyDataReader.h,
	  Utilities/VTK/vtkGDCMTesting.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader2.h,
	  Utilities/VTK/vtkImageColorViewer.h,
	  Utilities/VTK/vtkImageMapToColors16.h,
	  Utilities/VTK/vtkImageMapToWindowLevelColors2.h,
	  Utilities/VTK/vtkImagePlanarComponentsToComponents.h,
	  Utilities/VTK/vtkImageRGBToYBR.h,
	  Utilities/VTK/vtkImageYBRToRGB.h,
	  Utilities/VTK/vtkLookupTable16.cxx,
	  Utilities/VTK/vtkLookupTable16.h: Cleanup dep in between gdcm and
	  vtkgdcm. Remove gdcm header from vtkgdcm headers

2010-05-06 16:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6720] Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx: do
	  not compress single bit

2010-05-06 16:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6719]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: minor

2010-05-06 16:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6718] Source/DataStructureAndEncodingDefinition/gdcmDataSet.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h: It is illegal to
	  produce DICOMDIR with missing PatientID

2010-05-06 15:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6717] Applications/Cxx/gdcmgendir.cxx,
	  Source/Common/gdcmFilename.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFileExplicitFilter.cxx:
	  Update DICOMDIR gen

2010-05-05 17:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6716] Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx:
	  Support PHILIPS_Gyroscan-12-Jpeg_Extended_Process_2_4.dcm when
	  missing info

2010-05-05 14:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6715] Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx:
	  This should fix issue

2010-05-05 14:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6714] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.h,
	  Source/MediaStorageAndFileFormat/gdcmCoder.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageReaderRandomEmpty.cxx:
	  Make the code trigger less assert

2010-05-05 13:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6713] Source/MediaStorageAndFileFormat/gdcmPixelFormat.h: BUG:
	  2997114 fix

2010-05-05 10:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6712] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: BUG:
	  2997050 fix it

2010-05-05 07:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6711] CMake/FindMAGIC.cmake: include debug

2010-05-04 13:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6710] Source/DataStructureAndEncodingDefinition/gdcmElement.h,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRLECodec.cxx: code more
	  robust

2010-05-03 17:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6709] Source/DataDictionary/gdcmDictEntry.h: revert changes

2010-05-03 17:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6708] Source/DataDictionary/DICOMV3.xml,
	  Source/DataDictionary/DefaultDicts.xsl,
	  Source/DataDictionary/Part6.xml,
	  Source/DataDictionary/Part67.xsl,
	  Source/DataDictionary/Part7.xml,
	  Source/DataDictionary/gdcmDictEntry.h: add keyword, not used for
	  now

2010-05-03 16:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6707] Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx:
	  cleanup

2010-05-03 16:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6706] Utilities/VTK/Examples/Cxx/ConvertSingleBitTo8Bits.cxx:
	  remove leaks

2010-05-03 16:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6705]
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx:
	  update

2010-05-03 16:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6704] CMake/ExportConfiguration/GDCMConfigVersion.cmake.in:
	  handle all cases

2010-05-03 15:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6703] Source/Common/gdcmConfigure.h.in,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx: remove kakadu
	  codec + fix pvrg

2010-05-03 14:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6702] Source/DataDictionary/gdcmGlobal.cxx: Cannot reload
	  multipletime the same defs

2010-05-03 13:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6701] CMake/ExportConfiguration/GDCMConfigVersion.cmake.in:
	  need this file

2010-05-02 21:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6700] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.cxx: try single bit
	  support

2010-05-02 21:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6699] Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.cxx: try single bit support

2010-05-02 21:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6698] Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/ConvertSingleBitTo8Bits.cxx: add
	  example

2010-05-02 21:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6697] CMake/ExportConfiguration/CMakeLists.txt: todo

2010-05-02 15:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6696] CMake/ExportConfiguration/CMakeLists.txt: remove debug

2010-05-02 15:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6695] CMake/ExportConfiguration/CMakeLists.txt,
	  CMake/ExportConfiguration/GDCMConfig.cmake.in,
	  Utilities/VTK/CMakeLists.txt: Prevent viral dep of vtkgdcm. Fix
	  build tree linking

2010-05-02 15:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6694] Applications/Cxx/CMakeLists.txt,
	  CMake/ExportConfiguration/CMakeLists.txt,
	  CMake/ExportConfiguration/GDCMConfig.cmake.in,
	  CMake/ExportConfiguration/UseGDCM.cmake,
	  CMake/ExportConfiguration/UseGDCM.cmake.in,
	  Source/Common/CMakeLists.txt, Source/Common/gdcmLegacyMacro.h,
	  Source/DataDictionary/CMakeLists.txt,
	  Source/DataStructureAndEncodingDefinition/CMakeLists.txt,
	  Source/InformationObjectDefinition/CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/CMakeLists.txt,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt,
	  Utilities/gdcmexpat/lib/CMakeLists.txt,
	  Utilities/gdcmjpeg/12/CMakeLists.txt,
	  Utilities/gdcmjpeg/16/CMakeLists.txt,
	  Utilities/gdcmjpeg/8/CMakeLists.txt,
	  Utilities/gdcmmd5/CMakeLists.txt,
	  Utilities/gdcmopenjpeg/libopenjpeg/CMakeLists.txt,
	  Utilities/gdcmuuid/CMakeLists.txt,
	  Utilities/gdcmzlib/CMakeLists.txt: BUG: 2995495 BUG: 2980558 Fix

2010-05-02 15:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6693] Wrapping/Csharp/gdcm.i, Wrapping/Java/gdcm.i,
	  Wrapping/Python/gdcmswig.i: COMP Fix legacy wrapping issue

2010-05-02 12:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6692] Source/Common/gdcmLegacyMacro.h,
	  Source/Common/gdcmMacro.h, Source/Common/gdcmTypes.h,
	  Source/Common/gdcmWin32.h,
	  Source/InformationObjectDefinition/gdcmMacro.h: BUG: 2995463
	  Fixed

2010-04-30 16:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6691] Utilities/VTK/vtkGDCMImageWriter.cxx: remove

2010-04-30 16:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6690] Utilities/VTK/Examples/Cxx/MagnifyFile.cxx: add cast
	  filter.. obviously

2010-04-30 16:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6689] Utilities/VTK/vtkGDCMImageWriter.cxx: some checks

2010-04-30 16:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6688] Source/Common/gdcmCryptographicMessageSyntax.cxx,
	  Source/Common/gdcmCryptographicMessageSyntax.h: minor

2010-04-30 16:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6687] Utilities/VTK/Applications/CMakeLists.txt,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/MagnifyFile.cxx,
	  Utilities/VTK/Testing/Cxx/CMakeLists.txt,
	  Utilities/VTK/vtkGDCMImageWriter.cxx: Add magnifyfile + work on
	  headless system

2010-04-30 16:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6686] Utilities/gdcmopenjpeg/libopenjpeg/CMakeLists.txt: COMP:
	  dwt.c:(.text+0x30c5): undefined reference to floor

2010-04-30 15:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6685] Utilities/gdcmjpeg/jerror.h: minor

2010-04-28 23:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6684]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Source/InformationObjectDefinition/gdcmDefs.cxx: add
	  XRay3DAngiographicImageStorage, and Enhanced XA Image Storage

2010-04-28 17:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6683]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx:
	  fix ecg

2010-04-28 11:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6682] Utilities/KWStyle/GDCM.kws.xml.in: be more tolerant for
	  now

2010-04-28 00:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6681] Source/DataStructureAndEncodingDefinition/gdcmPreamble.h:
	  comp

2010-04-27 12:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6680] Source/InformationObjectDefinition/gdcmModule.cxx: Remove
	  until fix

2010-04-27 12:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6679] Examples/Cxx/ExtractEncryptedContent.cxx: Prevent
	  segfault

2010-04-27 07:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6678] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: Fix
	  gdcmanon

2010-04-27 07:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6677] Source/InformationObjectDefinition/Part3.xml,
	  Source/InformationObjectDefinition/gdcmIOD.cxx,
	  Source/InformationObjectDefinition/gdcmIOD.h,
	  Source/InformationObjectDefinition/gdcmMacro.h,
	  Source/InformationObjectDefinition/gdcmModule.h: Fix gdcmanon

2010-04-26 19:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6676] Source/DataStructureAndEncodingDefinition/CMakeLists.txt:
	  BUG: 2992504 Fix comp on mingw

2010-04-26 19:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6675] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  BUG: 2992504 Fix comp on mingw

2010-04-26 18:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6674] Source/DataStructureAndEncodingDefinition/CMakeLists.txt,
	  Source/InformationObjectDefinition/gdcmMacroEntry.h: BUG: 2992397
	  compilation.

2010-04-26 11:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6673] Source/DataStructureAndEncodingDefinition/gdcmPreamble.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestPreamble.cxx:
	  BUG: 2992180 Fix it

2010-04-26 00:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6672] Examples/Cxx/TraverseModules.cxx: comp

2010-04-26 00:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6671] Source/InformationObjectDefinition/CMakeLists.txt,
	  Source/InformationObjectDefinition/gdcmDefs.cxx,
	  Source/InformationObjectDefinition/gdcmDefs.h,
	  Source/InformationObjectDefinition/gdcmIOD.cxx,
	  Source/InformationObjectDefinition/gdcmMacro.cxx,
	  Source/InformationObjectDefinition/gdcmMacro.h,
	  Source/InformationObjectDefinition/gdcmMacros.cxx,
	  Source/InformationObjectDefinition/gdcmMacros.h,
	  Source/InformationObjectDefinition/gdcmModule.cxx,
	  Source/InformationObjectDefinition/gdcmModule.h,
	  Source/InformationObjectDefinition/gdcmModules.h,
	  Source/InformationObjectDefinition/gdcmTableReader.cxx: Cleanup
	  Macros vs Modules

2010-04-25 13:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6670] Source/InformationObjectDefinition/gdcmModule.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx: check if
	  gdcmpvrg can be found

2010-04-24 23:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6669] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx: Prevent
	  uninit LUT

2010-04-24 23:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6668] Applications/Cxx/gdcmimg.cxx: Fix seg fault for PALETTE
	  COLOR images

2010-04-17 00:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6667] Source/InformationObjectDefinition/Part3.xsl: fix regex

2010-04-16 23:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6665] Source/InformationObjectDefinition/gdcmTableReader.cxx,
	  Source/InformationObjectDefinition/gdcmTableReader.h: Bug fix
	  macro table

2010-04-16 22:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6662] Source/InformationObjectDefinition/Part3.xsl: fix

2010-04-16 22:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6661] Source/Common/gdcmCryptographicMessageSyntax.cxx: comp

2010-04-13 15:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6655] Source/InformationObjectDefinition/Part3.xsl: Select
	  entry 1

2010-04-13 15:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6654] Source/InformationObjectDefinition/Part3.xsl: handle
	  morerows

2010-04-13 14:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6653] Source/MediaStorageAndFileFormat/gdcmKAKADUCodec.cxx:
	  cleanup

2010-04-13 07:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6649] Source/InformationObjectDefinition/gdcmTableReader.cxx:
	  Remove assert for now

2010-04-12 17:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6648] Source/InformationObjectDefinition/gdcmModule.h,
	  Source/InformationObjectDefinition/gdcmModules.h,
	  Source/InformationObjectDefinition/gdcmTableReader.cxx,
	  Source/InformationObjectDefinition/gdcmTableReader.h,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx:
	  fixes

2010-04-12 16:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6647] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx:
	  minor

2010-04-12 16:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6646] Examples/Cxx/GenFakeIdentifyFile.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: robust

2010-04-12 15:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6645] Examples/Cxx/GenFakeIdentifyFile.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: robust

2010-04-12 15:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6644] Examples/Cxx/GenFakeIdentifyFile.cxx: recursive

2010-04-12 15:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6643] Source/DataStructureAndEncodingDefinition/gdcmVM.cxx: bug

2010-04-12 14:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6642] Examples/Cxx/CMakeLists.txt, Examples/Cxx/DiffFile.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmByteValue.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.h,
	  Source/DataStructureAndEncodingDefinition/gdcmValue.h: add small
	  examples

2010-04-12 09:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6641] Examples/Cxx/GenAllVR.cxx: cleanup

2010-04-12 08:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6640] Source/DataDictionary/TagToType.xsl,
	  Source/DataDictionary/gdcmTagToType.h: Update dict to 2009

2010-04-12 08:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6639] Wrapping/Python/TestWrap.py: fix kakadu

2010-04-11 21:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6638] CMakeLists.txt, Source/Common/gdcmConfigure.h.in: Add a
	  kakadu codec

2010-04-11 21:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6637] Source/MediaStorageAndFileFormat/CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.h,
	  Source/MediaStorageAndFileFormat/gdcmKAKADUCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmKAKADUCodec.h: Add a kakadu
	  codec

2010-04-10 15:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6635] Source/InformationObjectDefinition/Part3.xsl: Temp fix
	  until http://www.openoffice.org/issues/show_bug.cgi?id=110762 is
	  fixed

2010-04-10 09:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6634] Source/InformationObjectDefinition/Part3.xsl: Improve
	  script

2010-04-10 08:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6633] TODO: add ref to pdflib

2010-04-07 16:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6632] Utilities/doxygen/man/gdcmdump.man: fix doc

2010-04-07 13:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6631] Examples/Cxx/SimpleScanner.cxx: typos

2010-04-07 13:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6630] Examples/Cxx/SimpleScanner.cxx: even more comments

2010-04-07 12:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6629] Examples/Cxx/SimpleScanner.cxx: add comments

2010-04-07 12:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6628] Examples/Cxx/SimpleScanner.cxx: remove debug + add
	  comments

2010-04-07 12:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6627] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/SimpleScanner.cxx: simple example

2010-04-06 13:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6626] Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageReaderRandomEmpty.cxx:
	  minor code cleanup

2010-04-06 13:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6625]
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageReaderRandomEmpty.cxx:
	  Make code more robust thanks to new tests, which randomly removes
	  some DICOM Attributes from valid input files.

2010-04-03 18:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6624] Source/InformationObjectDefinition/Part3.xsl: Make script
	  more robust

2010-04-03 18:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6622] Source/InformationObjectDefinition/Part3.xml: remove some
	  junk portions

2010-04-03 16:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6621] Source/InformationObjectDefinition/Part3.xsl: add
	  instructions

2010-04-03 12:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6618] Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx:
	  Properly give up when icon is missing LUTData

2010-04-03 10:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6617] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx:
	  Catch all exceptions

2010-04-02 17:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6616] Examples/Cxx/TraverseModules.cxx,
	  Source/InformationObjectDefinition/gdcmDefs.h,
	  Source/InformationObjectDefinition/gdcmModule.cxx,
	  Source/InformationObjectDefinition/gdcmModule.h: Start
	  implementing Macro hanlding

2010-04-02 16:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6615] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/TraverseModules.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h: add simple
	  example to traverse all IODs and retrieve Type associated to a
	  DICOM attribute.

2010-04-02 16:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6614] Source/InformationObjectDefinition/Part3.xml,
	  Source/InformationObjectDefinition/gdcmIODs.h: Add new API to
	  traverse sequentially all IODs. Fix some typos in Part3

2010-04-02 15:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6613] Applications/Cxx/CMakeLists.txt,
	  Applications/Cxx/gdcmpdf.cxx, CMakeLists.txt,
	  Source/Common/gdcmBase64.h, Source/Common/gdcmConfigure.h.in:
	  Start podofo

2010-04-02 15:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6612] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/GetSequenceUltrasound.cxx: Sequence Accessor

2010-04-02 15:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6611] CMake/FindOpenSSL.cmake: doc

2010-04-02 10:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6610] Examples/Python/ConvertNumpy.py: BUG: ConvertNumpy.py.
	  Thanks to Paulo Henrique Junqueira Amorim for patch

2010-03-28 21:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6609] Source/InformationObjectDefinition/gdcmDefs.cxx,
	  Source/InformationObjectDefinition/gdcmDefs.h,
	  Source/InformationObjectDefinition/gdcmIOD.cxx,
	  Source/InformationObjectDefinition/gdcmIOD.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h: ENH: Avoid
	  some extra calls.

2010-03-28 19:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6608] Source/Common/gdcmDirectory.cxx: Make behavior symmetric

2010-03-27 18:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6607] Source/Common/gdcmCryptographicMessageSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: Properly
	  return error code + info. Need to reset the bio buffer

2010-03-27 16:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6606] CMake/FindOpenSSL.cmake: Try to support both 32 and
	  64bits

2010-03-20 17:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6594]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestAnonymizer2.cxx:
	  improve testing

2010-03-20 17:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6593] Source/Common/gdcmCryptographicMessageSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: Properly
	  handle Transfer Syntax

2010-03-20 15:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6592] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/ExtractEncryptedContent.cxx: Simple example to
	  extrat a sub dataelement from a SQ

2010-03-20 13:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6591] Source/Common/gdcmCryptographicMessageSyntax.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx:
	  Element not found or empty

2010-03-20 13:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6590]
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx:
	  Fix assert

2010-03-14 22:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6589] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/GenFakeIdentifyFile.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmDataSetHelper.cxx: generate
	  file with all possible elements

2010-03-14 21:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6588] Examples/Cxx/DumpToSQLITE3.cxx: add timing

2010-03-14 20:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6587] Examples/Cxx/DumpToSQLITE3.cxx: add link

2010-03-14 20:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6586] Examples/Cxx/CMakeLists.txt, Examples/Cxx/GenAllVR.cxx:
	  Add dummy generator

2010-03-14 20:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6585]
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx:
	  Add paranoid sanity checks

2010-03-14 20:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6584] CMake/FindSQLITE3.cmake: add example gdcm.Scanner to
	  SQLITE3

2010-03-14 20:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6583] Examples/Cxx/DumpToSQLITE3.cxx: add example gdcm.Scanner
	  to SQLITE3

2010-03-14 11:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6582] Applications/Cxx/gdcmanon.cxx,
	  Utilities/doxygen/man/gdcmanon.man: Add recursive+continue mode
	  in gdcmanon

2010-03-14 11:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6581] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h: BUG: 2970185
	  gdcmanon does not recursively search in SQ

2010-03-14 09:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6580] Source/DataStructureAndEncodingDefinition/gdcmDataSet.h:
	  Provide more info

2010-03-14 09:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6579] Source/DataDictionary/Part6todcm4che.xsl: cleanup

2010-03-14 09:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6578] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx:
	  style

2010-03-14 09:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6577] Source/DataStructureAndEncodingDefinition/gdcmWriter.cxx:
	  Avoid invalid TS

2010-03-14 09:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6576] Applications/Cxx/gdcmanon.cxx: add recursive option

2010-03-04 08:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6572] Source/Common/gdcmFilenameGenerator.cxx,
	  Source/Common/gdcmFilenameGenerator.h: Use proper SizeType

2010-03-01 13:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6571] Source/DataDictionary/ParseDicts.py,
	  Source/DataDictionary/Part6tod3t.xsl,
	  Source/DataDictionary/Part6todcm4che.xsl,
	  Source/DataDictionary/Part6todcmtk.xsl: cleanup

2010-02-25 09:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6558] Utilities/VTK/Examples/Cxx/gdcmorthoplanes.cxx: add
	  orientation widget

2010-02-23 22:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6547] Utilities/VTK/vtkGDCMImageReader.cxx: Fill in the matrix

2010-02-22 22:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6537] Utilities/VTK/Examples/Cxx/gdcmreslice.cxx: So you have a
	  rotated DICOM and you want to reslice it into RAS coordinates?
	  
	  The direction cosines matrix gives the DICOM axes wrt the RAS
	  axes, but ResliceAxes needs to be the RAS coordinates wrt the
	  DICOM axes. So you'll definitely have to invert that matrix.

2010-02-22 21:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6536] Utilities/VTK/Examples/Cxx/gdcmreslice.cxx: giving up for
	  now

2010-02-22 21:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6535] Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/gdcmreslice.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmtexture.cxx: Start to play with
	  Orientation

2010-02-17 21:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6528]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: bug
	  incorrect offset size

2010-02-17 21:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6527] Applications/Cxx/gdcmgendir.cxx: Be verbose

2010-02-17 13:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6526] Source/Common/gdcmCryptographicMessageSyntax.cxx: COMP:
	  Fix compilation on fedora. Apply patch suggested by Mario Ceresa

2010-02-14 17:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6525] Source/DataDictionary/DICOMV3.xml,
	  Source/DataDictionary/DefaultDicts.xsl,
	  Source/DataDictionary/DefaultPrivateDicts.xsl,
	  Source/DataDictionary/PartToGDCM.xsl,
	  Source/DataDictionary/gdcmDefaultDicts.cxx: Merge into cxx

2010-02-14 17:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6524] Source/DataDictionary/Part67.xsl,
	  Source/DataDictionary/Part7.xml: Update Part7 from 2009 standard

2010-02-14 17:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6523] Source/DataDictionary/Part6.xml,
	  Source/DataDictionary/Part67.xsl: Update Part6 from 2009 standard

2010-02-09 10:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6522] Utilities/doxygen/doxyfile.in: update dox

2010-02-09 10:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6521] Utilities/doxygen/man/gdcm2vtk.man: fix

2010-01-19 22:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6511]
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx:
	  Syncing Read/ReadWithLength

2010-01-18 09:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6510] Applications/Cxx/gdcmimg.cxx: typo

2010-01-17 16:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6509] Applications/Cxx/gdcmimg.cxx: BUG: 2933869 Fix it

2010-01-15 10:10  Niels Dekker

	* [r6508] Source/DataStructureAndEncodingDefinition/gdcmDataSet.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.h: ENH:
	  Added ReadSelectedTags as mailed to Mathieu and requested by
	  http://sourceforge.net/tracker/?func=detail&aid=2915659&group_id=137895&atid=739590

2010-01-12 15:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6507] Applications/Cxx/gdcm.cxx, Applications/Cxx/gdcmanon.cxx,
	  Applications/Cxx/gdcmcheck.cxx, Applications/Cxx/gdcmconv.cxx,
	  Applications/Cxx/gdcmdump.cxx, Applications/Cxx/gdcmfile.cxx,
	  Applications/Cxx/gdcmgendir.cxx, Applications/Cxx/gdcmimg.cxx,
	  Applications/Cxx/gdcminfo.cxx, Applications/Cxx/gdcmkey.cxx,
	  Applications/Cxx/gdcmoverlay.cxx, Applications/Cxx/gdcmpdf.cxx,
	  Applications/Cxx/gdcmraw.cxx, Applications/Cxx/gdcmscanner.cxx,
	  Applications/Cxx/gdcmtar.cxx, CMake/FindACTIVIZ.cmake,
	  CMake/FindCSharp.cmake, CMake/FindDCMTK.cmake,
	  CMake/FindDICOM3TOOLS.cmake, CMake/FindDotNETFrameworkSDK.cmake,
	  CMake/FindJava.cmake, CMake/FindKAKADU.cmake,
	  CMake/FindKWStyle.cmake, CMake/FindLJPEG.cmake,
	  CMake/FindMAGIC.cmake, CMake/FindMONO.cmake,
	  CMake/FindMd5sum.cmake, CMake/FindOpenJPEG.cmake,
	  CMake/FindOpenSSL.cmake, CMake/FindPVRGJPEG.cmake,
	  CMake/FindPoppler.cmake, CMake/FindRsync.cmake,
	  CMake/FindUUID.cmake, CMake/FindWine.cmake,
	  CMake/Toolchain-gcc-m32.cmake, CMake/Toolchain-gcc-powerpc.cmake,
	  CMake/Toolchain-mingw32.cmake, CMake/UseCSharp.cmake,
	  CMake/UseCSharpTest.cmake, CMake/UseCopyright.cmake,
	  CMake/UseDebian.cmake, CMake/UseDotNETFrameworkSDK.cmake,
	  CMake/UseJavaTest.cmake, CMake/UseMONO.cmake,
	  CMake/UsePythonTest.cmake, CMake/gdcmPlatformCxxTests.cmake,
	  Copyright.txt, Examples/Csharp/BasicAnonymizer.cs,
	  Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs,
	  Examples/Csharp/CompressLossyJPEG.cs,
	  Examples/Csharp/DecompressImage.cs,
	  Examples/Csharp/DecompressImageMultiframe.cs,
	  Examples/Csharp/DecompressJPEGFile.cs,
	  Examples/Csharp/ExtractEncapsulatedFile.cs,
	  Examples/Csharp/GenerateDICOMDIR.cs, Examples/Csharp/GetArray.cs,
	  Examples/Csharp/ManipulateFile.cs,
	  Examples/Csharp/NewSequence.cs, Examples/Csharp/ReformatFile.cs,
	  Examples/Csharp/RescaleImage.cs,
	  Examples/Csharp/ScanDirectory.cs, Examples/Csharp/SimplePrint.cs,
	  Examples/Csharp/SortImage2.cs,
	  Examples/Csharp/StandardizeFiles.cs,
	  Examples/Cxx/CheckBigEndianBug.cxx,
	  Examples/Cxx/ClinicalTrialAnnotate.cxx,
	  Examples/Cxx/CompressImage.cxx, Examples/Cxx/ConvertToQImage.cxx,
	  Examples/Cxx/CreateARGBImage.cxx,
	  Examples/Cxx/CreateCMYKImage.cxx, Examples/Cxx/DuplicatePCDE.cxx,
	  Examples/Cxx/EncapsulateFileInRawData.cxx,
	  Examples/Cxx/FixBrokenJ2K.cxx, Examples/Cxx/GenFakeImage.cxx,
	  Examples/Cxx/GenSeqs.cxx,
	  Examples/Cxx/GenerateStandardSOPClasses.cxx,
	  Examples/Cxx/GetJPEGSamplePrecision.cxx,
	  Examples/Cxx/HelloVizWorld.cxx, Examples/Cxx/HelloWorld.cxx,
	  Examples/Cxx/LargeVRDSExplicit.cxx,
	  Examples/Cxx/MergeTwoFiles.cxx, Examples/Cxx/MrProtocol.cxx,
	  Examples/Cxx/PatchFile.cxx, Examples/Cxx/PublicDict.cxx,
	  Examples/Cxx/ReadAndDumpDICOMDIR.cxx,
	  Examples/Cxx/ReadExplicitLengthSQIVR.cxx,
	  Examples/Cxx/SortImage.cxx, Examples/Cxx/VolumeSorter.cxx,
	  Examples/Cxx/csa2img.cxx, Examples/Cxx/rle2img.cxx,
	  Examples/Cxx/uid_unique.cxx, Examples/Java/DecompressPixmap.java,
	  Examples/Java/HelloSimple.java, Examples/Python/ConvertMPL.py,
	  Examples/Python/ConvertNumpy.py, Examples/Python/ConvertPIL.py,
	  Examples/Python/CreateRAWStorage.py,
	  Examples/Python/DecompressImage.py,
	  Examples/Python/DumbAnonymizer.py,
	  Examples/Python/FixCommaBug.py,
	  Examples/Python/GetPortionCSAHeader.py,
	  Examples/Python/HelloWorld.py, Examples/Python/ManipulateFile.py,
	  Examples/Python/ManipulateSequence.py,
	  Examples/Python/MergeFile.py, Examples/Python/NewSequence.py,
	  Examples/Python/PhilipsPrivateRescaleInterceptSlope.py,
	  Examples/Python/PlaySound.py, Examples/Python/PrivateDict.py,
	  Examples/Python/ReWriteSCAsMR.py,
	  Examples/Python/RemovePrivateTags.py,
	  Examples/Python/ScanDirectory.py, Examples/Python/SortImage.py,
	  Examples/Python/WriteBuffer.py, Source/Common/gdcmASN1.cxx,
	  Source/Common/gdcmASN1.h, Source/Common/gdcmBase64.cxx,
	  Source/Common/gdcmBase64.h, Source/Common/gdcmByteSwap.cxx,
	  Source/Common/gdcmByteSwap.h, Source/Common/gdcmByteSwap.txx,
	  Source/Common/gdcmCommand.cxx, Source/Common/gdcmCommand.h,
	  Source/Common/gdcmConfigure.h.in,
	  Source/Common/gdcmCryptographicMessageSyntax.cxx,
	  Source/Common/gdcmCryptographicMessageSyntax.h,
	  Source/Common/gdcmDeflateStream.cxx,
	  Source/Common/gdcmDeflateStream.h,
	  Source/Common/gdcmDirectory.cxx, Source/Common/gdcmDirectory.h,
	  Source/Common/gdcmDummyValueGenerator.cxx,
	  Source/Common/gdcmDummyValueGenerator.h,
	  Source/Common/gdcmEvent.cxx, Source/Common/gdcmEvent.h,
	  Source/Common/gdcmException.cxx, Source/Common/gdcmException.h,
	  Source/Common/gdcmFilename.cxx, Source/Common/gdcmFilename.h,
	  Source/Common/gdcmFilenameGenerator.cxx,
	  Source/Common/gdcmFilenameGenerator.h, Source/Common/gdcmMD5.cxx,
	  Source/Common/gdcmMD5.h, Source/Common/gdcmMacro.h,
	  Source/Common/gdcmObject.cxx, Source/Common/gdcmObject.h,
	  Source/Common/gdcmProgressEvent.cxx,
	  Source/Common/gdcmProgressEvent.h, Source/Common/gdcmSHA1.cxx,
	  Source/Common/gdcmSHA1.h, Source/Common/gdcmSmartPointer.h,
	  Source/Common/gdcmStaticAssert.h, Source/Common/gdcmString.cxx,
	  Source/Common/gdcmString.h, Source/Common/gdcmSubject.cxx,
	  Source/Common/gdcmSubject.h, Source/Common/gdcmSwapCode.cxx,
	  Source/Common/gdcmSwapCode.h, Source/Common/gdcmSwapper.h,
	  Source/Common/gdcmSwapper.txx, Source/Common/gdcmSystem.cxx,
	  Source/Common/gdcmSystem.h, Source/Common/gdcmTerminal.cxx,
	  Source/Common/gdcmTerminal.h, Source/Common/gdcmTestDriver.h,
	  Source/Common/gdcmTesting.cxx, Source/Common/gdcmTesting.h,
	  Source/Common/gdcmTrace.cxx, Source/Common/gdcmTrace.h,
	  Source/Common/gdcmTypes.h, Source/Common/gdcmUnpacker12Bits.cxx,
	  Source/Common/gdcmUnpacker12Bits.h,
	  Source/Common/gdcmVersion.cxx, Source/Common/gdcmVersion.h,
	  Source/Common/gdcmWin32.h, Source/DataDictionary/Agfa.xml,
	  Source/DataDictionary/CSADefaultDicts.xsl,
	  Source/DataDictionary/CSAHeader.xml,
	  Source/DataDictionary/DICOMV3.xml,
	  Source/DataDictionary/DefaultDicts.xsl,
	  Source/DataDictionary/HarvestedPrivate.xml,
	  Source/DataDictionary/Part6.xml,
	  Source/DataDictionary/Part67.xsl,
	  Source/DataDictionary/Part6PDF.xsl,
	  Source/DataDictionary/Part6tod3t.xsl,
	  Source/DataDictionary/Part6togdcm1.xsl,
	  Source/DataDictionary/Part7.xml, Source/DataDictionary/Part7.xsl,
	  Source/DataDictionary/PartToGDCM.xsl,
	  Source/DataDictionary/Siemens.xml,
	  Source/DataDictionary/TagToType.xsl,
	  Source/DataDictionary/UIDToC++.xsl,
	  Source/DataDictionary/UIDs.xml, Source/DataDictionary/VM.xsl,
	  Source/DataDictionary/cp699.xml,
	  Source/DataDictionary/dicom3tools.xsl,
	  Source/DataDictionary/dicomhdr.xsl,
	  Source/DataDictionary/gdcm1.xsl,
	  Source/DataDictionary/gdcm2html.xsl,
	  Source/DataDictionary/gdcm2pdf.xsl,
	  Source/DataDictionary/gdcmCSAHeaderDefaultDicts.cxx,
	  Source/DataDictionary/gdcmCSAHeaderDict.h,
	  Source/DataDictionary/gdcmCSAHeaderDictEntry.h,
	  Source/DataDictionary/gdcmDefaultDicts.cxx,
	  Source/DataDictionary/gdcmDefaultGroupNames.cxx,
	  Source/DataDictionary/gdcmDict.h,
	  Source/DataDictionary/gdcmDictConverter.cxx,
	  Source/DataDictionary/gdcmDictConverter.h,
	  Source/DataDictionary/gdcmDictEntry.h,
	  Source/DataDictionary/gdcmDicts.cxx,
	  Source/DataDictionary/gdcmDicts.h,
	  Source/DataDictionary/gdcmGlobal.cxx,
	  Source/DataDictionary/gdcmGlobal.h,
	  Source/DataDictionary/gdcmGroupDict.cxx,
	  Source/DataDictionary/gdcmGroupDict.h,
	  Source/DataDictionary/gdcmPrepDict.cxx,
	  Source/DataDictionary/gdcmPrepGroupName.cxx,
	  Source/DataDictionary/gdcmPrivateDefaultDicts.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.h,
	  Source/DataDictionary/gdcmTagToType.h,
	  Source/DataDictionary/gdcmUIDs.cxx,
	  Source/DataDictionary/gdcmUIDs.h,
	  Source/DataDictionary/gdcmconformancetests.xml,
	  Source/DataDictionary/getname.xsl,
	  Source/DataDictionary/getowner.xsl,
	  Source/DataDictionary/getretired.xsl,
	  Source/DataDictionary/order.xsl,
	  Source/DataDictionary/priv2html.xsl,
	  Source/DataDictionary/privatedicts.xml,
	  Source/DataDictionary/redo.xsl, Source/DataDictionary/redo2.xsl,
	  Source/DataDictionary/sort.xsl, Source/DataDictionary/vital.xml,
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h,
	  Source/DataStructureAndEncodingDefinition/gdcmBasicOffsetTable.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteBuffer.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteSwapFilter.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmByteSwapFilter.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteValue.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmByteValue.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileSet.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFileSet.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFragment.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFragment.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFragment.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.h,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmLO.h,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmParseException.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmParseException.h,
	  Source/DataStructureAndEncodingDefinition/gdcmParser.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmParser.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPreamble.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmPreamble.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPrivateTag.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmPrivateTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmTag.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmVL.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVM.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVM.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmValue.h,
	  Source/DataStructureAndEncodingDefinition/gdcmValue.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmValueIO.h,
	  Source/DataStructureAndEncodingDefinition/gdcmValueIO.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmWriter.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmWriter.h,
	  Source/InformationObjectDefinition/Part3.xml,
	  Source/InformationObjectDefinition/Part3.xsl,
	  Source/InformationObjectDefinition/Part4.xml,
	  Source/InformationObjectDefinition/Part4.xsl,
	  Source/InformationObjectDefinition/Part4ToC++.xsl,
	  Source/InformationObjectDefinition/extract.xsl,
	  Source/InformationObjectDefinition/gdcmDefinedTerms.cxx,
	  Source/InformationObjectDefinition/gdcmDefinedTerms.h,
	  Source/InformationObjectDefinition/gdcmDefs.cxx,
	  Source/InformationObjectDefinition/gdcmDefs.h,
	  Source/InformationObjectDefinition/gdcmEnumeratedValues.cxx,
	  Source/InformationObjectDefinition/gdcmEnumeratedValues.h,
	  Source/InformationObjectDefinition/gdcmIOD.cxx,
	  Source/InformationObjectDefinition/gdcmIOD.h,
	  Source/InformationObjectDefinition/gdcmIODEntry.cxx,
	  Source/InformationObjectDefinition/gdcmIODEntry.h,
	  Source/InformationObjectDefinition/gdcmIODs.h,
	  Source/InformationObjectDefinition/gdcmModule.cxx,
	  Source/InformationObjectDefinition/gdcmModule.h,
	  Source/InformationObjectDefinition/gdcmModuleEntry.h,
	  Source/InformationObjectDefinition/gdcmModules.cxx,
	  Source/InformationObjectDefinition/gdcmModules.h,
	  Source/InformationObjectDefinition/gdcmNestedModuleEntries.cxx,
	  Source/InformationObjectDefinition/gdcmNestedModuleEntries.h,
	  Source/InformationObjectDefinition/gdcmPatient.cxx,
	  Source/InformationObjectDefinition/gdcmPatient.h,
	  Source/InformationObjectDefinition/gdcmSeries.cxx,
	  Source/InformationObjectDefinition/gdcmSeries.h,
	  Source/InformationObjectDefinition/gdcmStudy.cxx,
	  Source/InformationObjectDefinition/gdcmStudy.h,
	  Source/InformationObjectDefinition/gdcmTable.cxx,
	  Source/InformationObjectDefinition/gdcmTable.h,
	  Source/InformationObjectDefinition/gdcmTableEntry.h,
	  Source/InformationObjectDefinition/gdcmTableReader.cxx,
	  Source/InformationObjectDefinition/gdcmTableReader.h,
	  Source/InformationObjectDefinition/gdcmTables.h.in,
	  Source/InformationObjectDefinition/gdcmType.cxx,
	  Source/InformationObjectDefinition/gdcmType.h,
	  Source/InformationObjectDefinition/gdcmUsage.cxx,
	  Source/InformationObjectDefinition/gdcmUsage.h,
	  Source/InformationObjectDefinition/gdcmXMLDictReader.cxx,
	  Source/InformationObjectDefinition/gdcmXMLDictReader.h,
	  Source/InformationObjectDefinition/gdcmXMLPrivateDictReader.cxx,
	  Source/InformationObjectDefinition/gdcmXMLPrivateDictReader.h,
	  Source/InformationObjectDefinition/getelements.xsl,
	  Source/InformationObjectDefinition/ma2html.xsl,
	  Source/InformationObjectDefinition/ma2pdf.xsl,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizeEvent.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizeEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmApplicationEntity.cxx,
	  Source/MediaStorageAndFileFormat/gdcmApplicationEntity.h,
	  Source/MediaStorageAndFileFormat/gdcmAudioCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAudioCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.h,
	  Source/MediaStorageAndFileFormat/gdcmCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmCoder.h,
	  Source/MediaStorageAndFileFormat/gdcmConstCharWrapper.h,
	  Source/MediaStorageAndFileFormat/gdcmCurve.cxx,
	  Source/MediaStorageAndFileFormat/gdcmCurve.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIR.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIR.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h,
	  Source/MediaStorageAndFileFormat/gdcmDataSetHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDataSetHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmDecoder.h,
	  Source/MediaStorageAndFileFormat/gdcmDeltaEncodingCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDeltaEncodingCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmDictPrinter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDictPrinter.h,
	  Source/MediaStorageAndFileFormat/gdcmDirectionCosines.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDirectionCosines.h,
	  Source/MediaStorageAndFileFormat/gdcmDumper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDumper.h,
	  Source/MediaStorageAndFileFormat/gdcmEncapsulatedDocument.cxx,
	  Source/MediaStorageAndFileFormat/gdcmEncapsulatedDocument.h,
	  Source/MediaStorageAndFileFormat/gdcmFiducials.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFiducials.h,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h,
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmIPPSorter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmIPPSorter.h,
	  Source/MediaStorageAndFileFormat/gdcmIconImage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmIconImage.h,
	  Source/MediaStorageAndFileFormat/gdcmImage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImage.h,
	  Source/MediaStorageAndFileFormat/gdcmImageApplyLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageApplyLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangePhotometricInterpretation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageChangePhotometricInterpretation.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangePlanarConfiguration.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageChangePlanarConfiguration.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.h,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmImageConverter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageConverter.h,
	  Source/MediaStorageAndFileFormat/gdcmImageFragmentSplitter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageFragmentSplitter.h,
	  Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmImageReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageReader.h,
	  Source/MediaStorageAndFileFormat/gdcmImageToImageFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageToImageFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmImageWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageWriter.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG12Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG12Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG16Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG16Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG8Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG8Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEGLSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGLSCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmOrientation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmOrientation.h,
	  Source/MediaStorageAndFileFormat/gdcmOverlay.cxx,
	  Source/MediaStorageAndFileFormat/gdcmOverlay.h,
	  Source/MediaStorageAndFileFormat/gdcmPDFCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPDFCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPNMCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPNMCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPVRGCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPersonName.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPersonName.h,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.h,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmap.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapToPixmapFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapToPixmapFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.h,
	  Source/MediaStorageAndFileFormat/gdcmPrinter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPrinter.h,
	  Source/MediaStorageAndFileFormat/gdcmRAWCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRAWCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmRLECodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRLECodec.h,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.h,
	  Source/MediaStorageAndFileFormat/gdcmScanner.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h,
	  Source/MediaStorageAndFileFormat/gdcmSegmentedPaletteColorLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSegmentedPaletteColorLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmSerieHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSerieHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.h,
	  Source/MediaStorageAndFileFormat/gdcmSorter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSorter.h,
	  Source/MediaStorageAndFileFormat/gdcmSpacing.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSpacing.h,
	  Source/MediaStorageAndFileFormat/gdcmSpectroscopy.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSpectroscopy.h,
	  Source/MediaStorageAndFileFormat/gdcmSplitMosaicFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSplitMosaicFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmTagPath.cxx,
	  Source/MediaStorageAndFileFormat/gdcmTagPath.h,
	  Source/MediaStorageAndFileFormat/gdcmUIDGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmUIDGenerator.h,
	  Source/MediaStorageAndFileFormat/gdcmValidate.cxx,
	  Source/MediaStorageAndFileFormat/gdcmValidate.h,
	  Source/MediaStorageAndFileFormat/gdcmWaveform.cxx,
	  Source/MediaStorageAndFileFormat/gdcmWaveform.h,
	  Testing/Source/Common/Cxx/TestASN1.cxx,
	  Testing/Source/Common/Cxx/TestBase64.cxx,
	  Testing/Source/Common/Cxx/TestByteSwap.cxx,
	  Testing/Source/Common/Cxx/TestCommand.cxx,
	  Testing/Source/Common/Cxx/TestCryptographicMessageSyntax.cxx,
	  Testing/Source/Common/Cxx/TestDirectory.cxx,
	  Testing/Source/Common/Cxx/TestDummyValueGenerator.cxx,
	  Testing/Source/Common/Cxx/TestFilename.cxx,
	  Testing/Source/Common/Cxx/TestFilenameGenerator.cxx,
	  Testing/Source/Common/Cxx/TestMD5.cxx,
	  Testing/Source/Common/Cxx/TestObject.cxx,
	  Testing/Source/Common/Cxx/TestSHA1.cxx,
	  Testing/Source/Common/Cxx/TestSmartPointer.cxx,
	  Testing/Source/Common/Cxx/TestString.cxx,
	  Testing/Source/Common/Cxx/TestString2.cxx,
	  Testing/Source/Common/Cxx/TestSwapCode.cxx,
	  Testing/Source/Common/Cxx/TestSwapper.cxx,
	  Testing/Source/Common/Cxx/TestSystem.cxx,
	  Testing/Source/Common/Cxx/TestTerminal.cxx,
	  Testing/Source/Common/Cxx/TestTesting.cxx,
	  Testing/Source/Common/Cxx/TestTrace.cxx,
	  Testing/Source/Common/Cxx/TestTypes.cxx,
	  Testing/Source/Common/Cxx/TestUnpacker12Bits.cxx,
	  Testing/Source/Common/Cxx/TestVersion.cxx,
	  Testing/Source/Common/Python/TestDirectory.py,
	  Testing/Source/Common/Python/TestTesting.py,
	  Testing/Source/Data/gdcmDataFileNames.cxx.in,
	  Testing/Source/Data/gdcmMD5DataImages.cxx,
	  Testing/Source/Data/gdcmMediaStorageDataFiles.cxx,
	  Testing/Source/DataDictionary/Cxx/TestDict.cxx,
	  Testing/Source/DataDictionary/Cxx/TestDictEntry.cxx,
	  Testing/Source/DataDictionary/Cxx/TestDicts.cxx,
	  Testing/Source/DataDictionary/Cxx/TestGlobal.cxx,
	  Testing/Source/DataDictionary/Cxx/TestGroupDict.cxx,
	  Testing/Source/DataDictionary/Cxx/TestSOPClassUIDToIOD.cxx,
	  Testing/Source/DataDictionary/Cxx/TestTagToType.cxx,
	  Testing/Source/DataDictionary/Cxx/TestTagToType.xsl,
	  Testing/Source/DataDictionary/Cxx/TestUIDs.cxx,
	  Testing/Source/DataDictionary/Python/TestGlobal.py,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute.xsl,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute1.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute2.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute3.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute4.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute5.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute6.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute7.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute8.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestBasicOffsetTable.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestByteBuffer.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestByteSwapFilter.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestByteValue.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCSAElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCSAHeader.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCodeString.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestComposite.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCopyValue.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDataSet.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestElement2.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestElement3.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestElement4.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestElement5.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestExplicitDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestFile.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestFileMetaInformation.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestFileSet.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestFragment.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestImplicitDataElement.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestItem.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestLCNumeric.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestLO.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestMediaStorage.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestPDBHeader.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestParseException.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestParser.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestPreamble.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestPrivateTag.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReadPatientName.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReader.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReader2.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReader3.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestSequenceOfFragments.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestSequenceOfItems.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestTag.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestTorture.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestTransferSyntax.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVL.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVM.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVR.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVRDS.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVRLT.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVRUI.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestValue.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestWriter.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestWriter2.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Python/TestReader.py,
	  Testing/Source/DataStructureAndEncodingDefinition/Python/TestTag.py,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefinedTerms.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestEnumeratedValues.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestIOD.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestIODEntry.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestIODs.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestModule.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestModuleEntry.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestModules.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestNestedModuleEntries.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestPatient.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestSeries.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestStudy.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestTable.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestTableEntry.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestTableReader.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestType.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestUsage.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestXMLDictReader.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestXMLPrivateDictReader.cxx,
	  Testing/Source/InformationObjectDefinition/Python/TestMRModule.py,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestAnonymizeEvent.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestAnonymizer.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestAnonymizer2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestApplicationEntity.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestAudioCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestCoder.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestCopyDataSet.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestCurve.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIR.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDataElementValueAsSQ.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDecoder.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDictPrinter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDirectionCosines.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDumper.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestEncapsulatedDocument.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFiducials.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFileDerivation.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFileExplicitFilter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFloatingPointDouble.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestIPPSorter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestIPPSorter2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestIconImage.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImage.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageApplyLookupTable.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangePhotometricInterpretation.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangePhotometricInterpretation2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangePlanarConfiguration.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax1.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax3.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax4.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax5.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax6.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax7.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageConverter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageFragmentSplitter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageHelper.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageReader.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageReaderPixelSpacing.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageToImageFilter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageWriter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageWriter2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestJPEGCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestLookupTable.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestOrientation.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestOverlay.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPDFCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPNMCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPersonName.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPhotometricInterpretation.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPixelFormat.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPrint.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPrinter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRAWCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRLECodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRescaler.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestScanner.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSegmentedPaletteColorLookupTable.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSerieHelper.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSorter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSpacing.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSpectroscopy.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSplitMosaicFilter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestStringFilter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestTagPath.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestUIDGenerator.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestUIDGenerator2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestUIDGenerator3.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestValidate.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestWaveform.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestWriter2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestAnonymizer.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestDCMTKMD5.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestIPPSorter.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestImageReader.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestKakaduDecompressionMD5.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestModifyFields.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestOrientation.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestPythonFilter.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestScanner.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestStringFilter.py,
	  Testing/Source/MediaStorageAndFileFormat/Python/TestUIDGenerator.py,
	  Utilities/Insight/Applications/gdcmitk.cxx,
	  Utilities/Insight/Testing/Cxx/TestitkGDCMImageIO.cxx,
	  Utilities/Insight/itkGDCMImageIO2.cxx,
	  Utilities/Insight/itkGDCMImageIO2.h,
	  Utilities/KWStyle/GDCMHeader.h, Utilities/Tools/upsidedown.c,
	  Utilities/VTK/Applications/gdcm2vtk.cxx,
	  Utilities/VTK/Applications/gdcmviewer.cxx,
	  Utilities/VTK/AssemblyInfo.cs.in,
	  Utilities/VTK/Examples/Csharp/HelloActiviz.cs,
	  Utilities/VTK/Examples/Csharp/HelloActiviz2.cs,
	  Utilities/VTK/Examples/Csharp/HelloActiviz3.cs,
	  Utilities/VTK/Examples/Csharp/HelloActiviz4.cs,
	  Utilities/VTK/Examples/Csharp/HelloActiviz5.cs,
	  Utilities/VTK/Examples/Csharp/HelloVTKWorld.cs,
	  Utilities/VTK/Examples/Csharp/HelloVTKWorld2.cs,
	  Utilities/VTK/Examples/Csharp/RefCounting.cs,
	  Utilities/VTK/Examples/Cxx/Convert16BitsTo8Bits.cxx,
	  Utilities/VTK/Examples/Cxx/ConvertRGBToLuminance.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmorthoplanes.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmrtionplan.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmrtplan.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmscene.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmtexture.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmvolume.cxx,
	  Utilities/VTK/Examples/Cxx/threadgdcm.cxx,
	  Utilities/VTK/Examples/Java/HelloVTKWorld.java,
	  Utilities/VTK/Examples/Python/CastConvertPhilips.py,
	  Utilities/VTK/Examples/Python/headsq2dcm.py,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageActor.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReader.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReader2.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReader3.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReader4.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageViewer.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageWriter1.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageWriter2.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMPolyDataReader.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMThreadedImageReader.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMThreadedImageReader2.cxx,
	  Utilities/VTK/Testing/Python/TestMultiframeGrayscaleWordSecondaryCaptureImageStorage.py,
	  Utilities/VTK/Testing/Python/TestvtkGDCMImageReader.py,
	  Utilities/VTK/Testing/Python/TestvtkGDCMImageWriter.py,
	  Utilities/VTK/Testing/Python/TestvtkGDCMThreadedImageReader.py,
	  Utilities/VTK/Testing/Python/TestvtkGDCMThreadedImageReader2.py,
	  Utilities/VTK/VTK4/vtkStringArray.cxx,
	  Utilities/VTK/VTK4/vtkStringArray.h,
	  Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMImageReader.h,
	  Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.cxx,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.h,
	  Utilities/VTK/vtkGDCMPolyDataReader.cxx,
	  Utilities/VTK/vtkGDCMPolyDataReader.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader.cxx,
	  Utilities/VTK/vtkGDCMThreadedImageReader.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader2.cxx,
	  Utilities/VTK/vtkGDCMThreadedImageReader2.h,
	  Utilities/VTK/vtkgdcm.i, Utilities/VTK/vtkgdcm.py,
	  Utilities/doxygen/footer.html,
	  Utilities/doxygen/man/gdcm2vtk.man,
	  Utilities/doxygen/man/gdcmanon.man,
	  Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmdump.man,
	  Utilities/doxygen/man/gdcmgendir.man,
	  Utilities/doxygen/man/gdcmimg.man,
	  Utilities/doxygen/man/gdcminfo.man,
	  Utilities/doxygen/man/gdcmpdf.man,
	  Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmscanner.man,
	  Utilities/doxygen/man/gdcmtar.man,
	  Utilities/doxygen/man/gdcmviewer.man, Utilities/gdcm_expat.h,
	  Utilities/gdcm_ljpeg12.h, Utilities/gdcm_ljpeg16.h,
	  Utilities/gdcm_ljpeg8.h, Utilities/gdcm_md5.h,
	  Utilities/gdcm_openjpeg.h, Utilities/gdcm_uuid.h,
	  Utilities/gdcm_zlib.h, Utilities/gdcmmd5/md5_mangle.h.in,
	  Utilities/gdcmmd5/md5cmp.c, Utilities/gdcmmd5/tst2md5.c,
	  Utilities/getopt/ex_getopt.c, Utilities/pvrg/pvrgjpeg.c,
	  Utilities/rle/example.c, Utilities/rle/rle.c,
	  Utilities/rle/rledump.c, Utilities/rle/rlelib.c,
	  Utilities/rle/rlelib.h, Wrapping/Csharp/AssemblyInfo.cs.in,
	  Wrapping/Csharp/HelloCsharpWorld.cs, Wrapping/Csharp/gdcm.i,
	  Wrapping/Java/gdcm.i, Wrapping/Java/main.java,
	  Wrapping/PHP/gdcm.i, Wrapping/Python/Python.h.in,
	  Wrapping/Python/TestWrap.py, Wrapping/Python/gdcm.py,
	  Wrapping/Python/gdcmPythonFilter.cxx,
	  Wrapping/Python/gdcmPythonFilter.h, Wrapping/Python/gdcmswig.i,
	  Wrapping/SWIGCommon/gdcmcommon.i: Happy New Year

2010-01-12 14:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6506] debian: remove debian dir

2010-01-12 14:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6505] Examples/Cxx/CreateARGBImage.cxx: style

2010-01-12 14:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6504] Utilities/doxygen/man/gdcmimg.man: doc

2010-01-11 20:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6503] Source/DataStructureAndEncodingDefinition/gdcmValueIO.h:
	  minor

2010-01-11 20:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6502] Source/MediaStorageAndFileFormat/gdcmCurve.cxx: Fix curve

2010-01-11 20:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6501] Source/MediaStorageAndFileFormat/gdcmImageReader.h:
	  comment

2010-01-11 20:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6500] Source/MediaStorageAndFileFormat/gdcmPixmapReader.h:
	  comment

2010-01-11 20:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6499] Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx:
	  comment

2010-01-11 20:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6498] Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx:
	  Seg fault

2010-01-11 20:13  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6497] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  missing cases

2010-01-11 19:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6496] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  Lets be a litte more exlicit for gcc3.3 compilers

2010-01-11 16:43  Niels Dekker

	* [r6495] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  COMP: Oops, my previous commit missed some gdcm namespace
	  specifiers in Caller classes.

2010-01-10 20:46  Niels Dekker

	* [r6494] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.h: STYLE:
	  Committed gdcmReader files as mailed to Mathieu today: replaced
	  Caller<0> and Caller<1> by DefaultCaller and ReadUpToTagCaller;
	  made their data members private; increased const-correctness;
	  chose longer data member names; removed unused Read2() member
	  function.

2010-01-09 10:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6493] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.h: Minimal
	  patch for synchronizinr Reader::Read and Reader::ReadUpToTag.
	  We'll see how it compiles on other platforms

2010-01-08 18:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6492] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  Synchronize Read / readuptotag

2010-01-07 16:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6491] Examples/Cxx/ReadAndDumpDICOMDIR.cxx: comp

2010-01-07 15:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6490] Examples/Cxx/ReadAndDumpDICOMDIR.cxx: update

2010-01-07 15:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6489] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/ReadAndDumpDICOMDIR.cxx: Adding example From Tom

2010-01-06 13:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6488] Source/InformationObjectDefinition/gdcmTableReader.cxx:
	  fix test

2010-01-05 15:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6485] Examples/Cxx/GenerateStandardSOPClasses.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx,
	  Source/InformationObjectDefinition/Part4ToC++.xsl: update 2009

2010-01-05 13:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6484]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFileDerivation.cxx:
	  update test

2010-01-05 13:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6483]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestUIDGenerator2.cxx:
	  comp

2010-01-05 09:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6482] Source/DataDictionary/CSADefaultDicts.xsl,
	  Source/DataDictionary/CSAHeader.xml,
	  Source/DataDictionary/DefaultDicts.xsl,
	  Source/DataDictionary/GDCM7.xml,
	  Source/DataDictionary/Part6PDF.xsl,
	  Source/DataDictionary/Part6tod3t.xsl,
	  Source/DataDictionary/Part6togdcm1.xsl,
	  Source/DataDictionary/Part7.xsl,
	  Source/DataDictionary/TagToType.xsl,
	  Source/DataDictionary/UIDToC++.xsl, Source/DataDictionary/VM.xsl,
	  Source/DataDictionary/dicom3tools.xsl,
	  Source/DataDictionary/gdcm1.xsl,
	  Source/DataDictionary/gdcm2html.xsl,
	  Source/DataDictionary/gdcm2pdf.xsl,
	  Source/DataDictionary/getname.xsl,
	  Source/DataDictionary/getowner.xsl,
	  Source/DataDictionary/getretired.xsl,
	  Source/DataDictionary/priv2html.xsl,
	  Source/DataDictionary/privatedicts.xml,
	  Source/DataDictionary/sort.xsl,
	  Source/InformationObjectDefinition/Part4ToC++.xsl,
	  Source/InformationObjectDefinition/extract.xsl,
	  Source/InformationObjectDefinition/getelements.xsl,
	  Source/InformationObjectDefinition/ma2html.xsl,
	  Source/InformationObjectDefinition/ma2pdf.xsl,
	  Testing/Source/DataDictionary/Cxx/TestTagToType.xsl,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestAttribute.xsl:
	  Fix encoding to utf8

2010-01-05 09:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6481] Examples/Cxx/GenerateStandardSOPClasses.cxx,
	  Source/InformationObjectDefinition/Part4.xml,
	  Source/InformationObjectDefinition/Part4.xsl: Update with PS
	  3.4-2009

2010-01-04 18:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6480] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/GenerateStandardSOPClasses.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx:
	  Prepare patch for DICOM PS 3.4-2009

2010-01-04 17:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6479] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx:
	  warning

2010-01-04 16:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6478]
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx:
	  Always assert

2010-01-04 16:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6477] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: GDCM
	  does not handle defined length SQ

2010-01-04 15:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6476] Examples/Python/FixCommaBug.py: New API

2010-01-04 14:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6475] Utilities/doxygen/man/gdcmimg.man: typo

2010-01-03 15:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6474] Utilities/VTK/CMakeLists.txt: verbose

2010-01-03 14:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6473] Utilities/VTK/CMakeLists.txt: Improve error message

2010-01-03 14:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6472] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx:
	  COMP:warning

2010-01-03 14:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6471] Source/InformationObjectDefinition/gdcmTableReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  COMP:warning

2009-12-23 10:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6469] Source/MediaStorageAndFileFormat/gdcmScanner.cxx: oops

2009-12-23 10:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6468] Applications/Cxx/gdcmscanner.cxx,
	  Source/DataDictionary/gdcmDicts.cxx,
	  Source/DataDictionary/gdcmDicts.h,
	  Source/DataStructureAndEncodingDefinition/CMakeLists.txt,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPrivateTag.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmPrivateTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmTag.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h: Check if
	  gdcmscanner can search for private tags + some doc

2009-12-22 17:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6467]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h: doc

2009-12-22 16:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6466] Source/InformationObjectDefinition/gdcmType.h: style

2009-12-21 13:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6465] TODO: This has been reported as bug #2918629

2009-12-21 13:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6464] Source/MediaStorageAndFileFormat/gdcmDataSetHelper.cxx:
	  Function is required to return

2009-12-20 16:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6463] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx:
	  recursively remove retired/grouplength/privatetags

2009-12-20 13:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6462] Source/Common/gdcmCommand.h,
	  Source/Common/gdcmDummyValueGenerator.h,
	  Source/Common/gdcmEvent.h, Source/Common/gdcmException.h,
	  Source/Common/gdcmSubject.h, Source/Common/gdcmTypes.h,
	  Source/Common/gdcmUnpacker12Bits.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.h,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.h,
	  Source/DataStructureAndEncodingDefinition/gdcmParseException.h,
	  Source/DataStructureAndEncodingDefinition/gdcmTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmValue.h,
	  Source/MediaStorageAndFileFormat/gdcmDataSetHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.h: Mostly
	  doc stuff

2009-12-20 13:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6461]
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: BUG: 2912092
	  Fix issue when SQ element is not loaded as SQ element
	  (Explicit/UN or Implicit/DefinedLength)

2009-12-20 13:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6460] Applications/Cxx/gdcmanon.cxx: If file is detected to be
	  corrupted, remove it

2009-12-20 13:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6459]
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx:
	  Never allow writing of invalid file

2009-12-20 13:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6458] Source/Common/gdcmTrace.h: Add a runtime independent
	  gdcmAssertMacro. It will throw an exeception when GDCM is
	  compiled in release mode. This should be restricted to major bug
	  that would prevent file from being readable

2009-12-20 13:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6457] Source/DataStructureAndEncodingDefinition/gdcmDataSet.h:
	  Sentinel

2009-12-20 13:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6456] Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs:
	  minor

2009-12-18 13:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6455]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx:
	  No Image

2009-12-17 09:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6450] Source/MediaStorageAndFileFormat/gdcmValidate.cxx:
	  Prevent segfault

2009-12-16 22:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6449]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax4.cxx:
	  Need to test DICOMDIRGen

2009-12-16 22:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6448] Source/Common/gdcmDirectory.cxx: BUG: 2915851 Fix the .
	  handling

2009-12-16 21:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6447]
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestPDBHeader.cxx:
	  add pdb testing + siemens Mosaic testing

2009-12-16 21:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6446]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSplitMosaicFilter.cxx:
	  Better test

2009-12-16 21:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6445] Source/Common/gdcmCommand.h,
	  Testing/Source/Common/Cxx/CMakeLists.txt,
	  Testing/Source/Common/Cxx/TestCommand.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/InformationObjectDefinition/Cxx/TestUsage.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestAnonymizeEvent.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestOverlay.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPNMCodec.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSegmentedPaletteColorLookupTable.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSplitMosaicFilter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestValidate.cxx,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/gdcmcharls/.NoDartCoverage,
	  Wrapping/Java/CMakeLists.txt, Wrapping/Python/.NoDartCoverage,
	  Wrapping/Python/CMakeLists.txt: minor coverage

2009-12-16 18:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6444] Examples/Csharp/BasicAnonymizer.cs,
	  Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs: doc

2009-12-16 18:13  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6443] Examples/Csharp/BasicAnonymizer.cs,
	  Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs: Retrieve
	  Progress now

2009-12-16 18:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6442]
	  Source/MediaStorageAndFileFormat/gdcmSplitMosaicFilter.cxx:
	  Explicit location

2009-12-16 15:30  Niels Dekker

	* [r6441] Source/Common/gdcmString.h: COMP: Removed unnecessary
	  friend declaration of inline function, operator>>, according to
	  https://sourceforge.net/tracker/?func=detail&aid=2915394&group_id=137895&atid=739587

2009-12-16 15:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6440] Testing/Source/Data/gdcmMD5DataImages.cxx:
	  re-re-revert...

2009-12-15 23:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6438] Source/MediaStorageAndFileFormat/gdcmIPPSorter.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmorthoplanes.cxx: More verbose when
	  more than one IOP

2009-12-15 23:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6437] Source/MediaStorageAndFileFormat/gdcmDirectionCosines.h:
	  doc

2009-12-15 14:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6436] Source/MediaStorageAndFileFormat/gdcmRLECodec.cxx: BUG:
	  2914284 Handle YBR_RCT properly.

2009-12-15 14:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6435] Testing/Source/Data/gdcmMD5DataImages.cxx: I do not
	  understand what is going on ...

2009-12-15 14:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6434]
	  Source/MediaStorageAndFileFormat/gdcmImageChangePlanarConfiguration.cxx:
	  missing

2009-12-15 14:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6433]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax1.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax2.cxx:
	  BUG: 2914702 J2K/JPEG family cannot handle Planar Conf=1. In this
	  case always revert to Planar Conf=0 before computing md5sum.

2009-12-15 13:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6432] Utilities/VTK/Examples/Cxx/gdcmrtplan.cxx: forgot

2009-12-15 10:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6431]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestMediaStorage.cxx:
	  Did the implementation backward...sigh

2009-12-15 09:52  Niels Dekker

	* [r6430] Source/Common/gdcmWin32.h: COMP: Avoided a warning,
	  "VTK_MAJOR_VERSION is not defined", according to
	  https://sourceforge.net/tracker/?func=detail&aid=2914675&group_id=137895&atid=739587

2009-12-15 09:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6429] Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/gdcmrtion.cxx,
	  Utilities/VTK/Examples/Cxx/gdcmrtionplan.cxx: Use real
	  RTIonPlanStorage

2009-12-15 08:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6427] TODO: todo

2009-12-14 21:03  Niels Dekker

	* [r6426] Source/Common/gdcmFilename.cxx: BUG: Fixed assert in
	  Filename::ToUnixSlashes(), according to
	  https://sourceforge.net/tracker/index.php?func=detail&aid=2914380&group_id=137895&atid=739587

2009-12-14 14:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6425] Utilities/getopt/CMakeLists.txt: not so sure

2009-12-14 14:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6424] Examples/Python/HelloWorld.py: for fun

2009-12-14 11:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6423] Examples/Cxx/GenSeqs.cxx,
	  Examples/Cxx/LargeVRDSExplicit.cxx: update

2009-12-14 11:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6422] Examples/Cxx/LargeVRDSExplicit.cxx: doc

2009-12-14 11:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6421] Wrapping/Python/docstrings.i: update

2009-12-14 11:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6420]
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.h,
	  Utilities/doxygen/doxyfile.in, Wrapping/Python/CMakeLists.txt:
	  oops

2009-12-14 11:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6419] Source/Common/gdcmEvent.h,
	  Source/Common/gdcmProgressEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.h,
	  Utilities/doxygen/doxyfile.in: doc tweak

2009-12-14 11:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6418] Source/DataStructureAndEncodingDefinition/gdcmDataSet.h:
	  doc

2009-12-14 10:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6417] Source/MediaStorageAndFileFormat/gdcmBitmap.cxx: BUG:
	  2913256 Thanks to Niels for bug report. Properly handle rounding
	  of even length when number of bytes returned by GetBufferLength
	  is an even length (common case in RGB file).

2009-12-14 10:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6416]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax2.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax3.cxx:
	  Start testing j2k more agressively

2009-12-14 09:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6415] Source/MediaStorageAndFileFormat/gdcmImageCodec.cxx: Fix
	  leak

2009-12-14 09:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6414] Wrapping/Python/gdcmswig.i: Wrap ProgressEvent

2009-12-13 21:28  Niels Dekker

	* [r6413]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestMediaStorage.cxx:
	  BUG: Fixed copy-and-paste bug in TestMediaStorage, according to
	  https://sourceforge.net/tracker/?func=detail&atid=739587&aid=2913284&group_id=137895

2009-12-13 21:05  Niels Dekker

	* [r6412] Source/MediaStorageAndFileFormat/gdcmRLECodec.cxx: BUG:
	  Fixed RLECodec::Code buffer overrun RLEHeader::Offset, according
	  to
	  http://sourceforge.net/tracker/?func=detail&atid=739587&aid=2913222&group_id=137895

2009-12-13 14:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6411] Utilities/VTK/VTK4/vtkMedicalImageProperties.h,
	  Utilities/VTK/VTK4/vtkStringArray.h: Make sure that VTK 4.x
	  compat layer is still user friendly.

2009-12-13 14:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6410] Source/Common/gdcmConfigure.h.in,
	  Source/Common/gdcmWin32.h,
	  Source/MediaStorageAndFileFormat/gdcmDeltaEncodingCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEGLSCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPNMCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPVRGCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmRLECodec.h,
	  Source/MediaStorageAndFileFormat/gdcm_j2k.h,
	  Source/MediaStorageAndFileFormat/gdcm_jp2.h,
	  Utilities/VTK/VTK4/vtkMedicalImageProperties.h,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.h,
	  Wrapping/Python/Python.h.in: BUG: 2906713 second pass

2009-12-13 14:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6409] Source/Common/gdcmASN1.h, Source/Common/gdcmBase64.h,
	  Source/Common/gdcmByteSwap.h, Source/Common/gdcmByteSwap.txx,
	  Source/Common/gdcmCommand.h,
	  Source/Common/gdcmCryptographicMessageSyntax.h,
	  Source/Common/gdcmDeflateStream.h, Source/Common/gdcmDirectory.h,
	  Source/Common/gdcmDummyValueGenerator.h,
	  Source/Common/gdcmEvent.h, Source/Common/gdcmException.h,
	  Source/Common/gdcmFilename.h,
	  Source/Common/gdcmFilenameGenerator.h, Source/Common/gdcmMD5.h,
	  Source/Common/gdcmMacro.h, Source/Common/gdcmObject.h,
	  Source/Common/gdcmProgressEvent.h, Source/Common/gdcmSHA1.h,
	  Source/Common/gdcmSmartPointer.h,
	  Source/Common/gdcmStaticAssert.h, Source/Common/gdcmString.h,
	  Source/Common/gdcmSubject.h, Source/Common/gdcmSwapCode.h,
	  Source/Common/gdcmSwapper.h, Source/Common/gdcmSwapper.txx,
	  Source/Common/gdcmSystem.h, Source/Common/gdcmTerminal.h,
	  Source/Common/gdcmTestDriver.h, Source/Common/gdcmTesting.h,
	  Source/Common/gdcmTrace.h, Source/Common/gdcmTypes.h,
	  Source/Common/gdcmUnpacker12Bits.h, Source/Common/gdcmVersion.h,
	  Source/Common/gdcmWin32.h,
	  Source/DataDictionary/gdcmCSAHeaderDict.h,
	  Source/DataDictionary/gdcmCSAHeaderDictEntry.h,
	  Source/DataDictionary/gdcmDict.h,
	  Source/DataDictionary/gdcmDictConverter.h,
	  Source/DataDictionary/gdcmDictEntry.h,
	  Source/DataDictionary/gdcmDicts.h,
	  Source/DataDictionary/gdcmGlobal.h,
	  Source/DataDictionary/gdcmGroupDict.h,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.h,
	  Source/DataDictionary/gdcmTagToType.h,
	  Source/DataDictionary/gdcmUIDs.h,
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h,
	  Source/DataStructureAndEncodingDefinition/gdcmBasicOffsetTable.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteBuffer.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteSwapFilter.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteValue.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileSet.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFragment.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFragment.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.h,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmLO.h,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPDBHeader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmParseException.h,
	  Source/DataStructureAndEncodingDefinition/gdcmParser.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPreamble.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPrivateTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmVL.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVM.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmValue.h,
	  Source/DataStructureAndEncodingDefinition/gdcmValue.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmValueIO.h,
	  Source/DataStructureAndEncodingDefinition/gdcmValueIO.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmWriter.h,
	  Source/InformationObjectDefinition/gdcmDefinedTerms.h,
	  Source/InformationObjectDefinition/gdcmDefs.h,
	  Source/InformationObjectDefinition/gdcmEnumeratedValues.h,
	  Source/InformationObjectDefinition/gdcmIOD.h,
	  Source/InformationObjectDefinition/gdcmIODEntry.h,
	  Source/InformationObjectDefinition/gdcmIODs.h,
	  Source/InformationObjectDefinition/gdcmModule.h,
	  Source/InformationObjectDefinition/gdcmModuleEntry.h,
	  Source/InformationObjectDefinition/gdcmModules.h,
	  Source/InformationObjectDefinition/gdcmNestedModuleEntries.h,
	  Source/InformationObjectDefinition/gdcmPatient.h,
	  Source/InformationObjectDefinition/gdcmSeries.h,
	  Source/InformationObjectDefinition/gdcmStudy.h,
	  Source/InformationObjectDefinition/gdcmTable.h,
	  Source/InformationObjectDefinition/gdcmTableEntry.h,
	  Source/InformationObjectDefinition/gdcmTableReader.h,
	  Source/InformationObjectDefinition/gdcmType.h,
	  Source/InformationObjectDefinition/gdcmUsage.h,
	  Source/InformationObjectDefinition/gdcmXMLDictReader.h,
	  Source/InformationObjectDefinition/gdcmXMLPrivateDictReader.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizeEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmApplicationEntity.h,
	  Source/MediaStorageAndFileFormat/gdcmAudioCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.h,
	  Source/MediaStorageAndFileFormat/gdcmCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmCoder.h,
	  Source/MediaStorageAndFileFormat/gdcmConstCharWrapper.h,
	  Source/MediaStorageAndFileFormat/gdcmCurve.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIR.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h,
	  Source/MediaStorageAndFileFormat/gdcmDataSetHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmDecoder.h,
	  Source/MediaStorageAndFileFormat/gdcmDictPrinter.h,
	  Source/MediaStorageAndFileFormat/gdcmDirectionCosines.h,
	  Source/MediaStorageAndFileFormat/gdcmDumper.h,
	  Source/MediaStorageAndFileFormat/gdcmEncapsulatedDocument.h,
	  Source/MediaStorageAndFileFormat/gdcmFiducials.h,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h,
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmIPPSorter.h,
	  Source/MediaStorageAndFileFormat/gdcmIconImage.h,
	  Source/MediaStorageAndFileFormat/gdcmImage.h,
	  Source/MediaStorageAndFileFormat/gdcmImageApplyLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangePhotometricInterpretation.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangePlanarConfiguration.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.h,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmImageConverter.h,
	  Source/MediaStorageAndFileFormat/gdcmImageFragmentSplitter.h,
	  Source/MediaStorageAndFileFormat/gdcmImageHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmImageReader.h,
	  Source/MediaStorageAndFileFormat/gdcmImageToImageFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmImageWriter.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG12Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG16Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmJPEG8Codec.h,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmOrientation.h,
	  Source/MediaStorageAndFileFormat/gdcmOverlay.h,
	  Source/MediaStorageAndFileFormat/gdcmPDFCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmPersonName.h,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.h,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmap.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapToPixmapFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.h,
	  Source/MediaStorageAndFileFormat/gdcmPrinter.h,
	  Source/MediaStorageAndFileFormat/gdcmRAWCodec.h,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.h,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h,
	  Source/MediaStorageAndFileFormat/gdcmSegmentedPaletteColorLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmSerieHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.h,
	  Source/MediaStorageAndFileFormat/gdcmSorter.h,
	  Source/MediaStorageAndFileFormat/gdcmSpacing.h,
	  Source/MediaStorageAndFileFormat/gdcmSpectroscopy.h,
	  Source/MediaStorageAndFileFormat/gdcmSplitMosaicFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmTagPath.h,
	  Source/MediaStorageAndFileFormat/gdcmUIDGenerator.h,
	  Source/MediaStorageAndFileFormat/gdcmValidate.h,
	  Source/MediaStorageAndFileFormat/gdcmWaveform.h,
	  Utilities/Insight/itkGDCMImageIO2.h,
	  Utilities/VTK/VTK4/vtkStringArray.h,
	  Utilities/VTK/vtkGDCMImageReader.h,
	  Utilities/VTK/vtkGDCMImageWriter.h,
	  Utilities/VTK/vtkGDCMPolyDataReader.h,
	  Utilities/VTK/vtkGDCMTesting.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader2.h,
	  Utilities/VTK/vtkImageColorViewer.h,
	  Utilities/VTK/vtkImageMapToColors16.h,
	  Utilities/VTK/vtkImageMapToWindowLevelColors2.h,
	  Utilities/VTK/vtkImagePlanarComponentsToComponents.h,
	  Utilities/VTK/vtkImageRGBToYBR.h,
	  Utilities/VTK/vtkImageYBRToRGB.h,
	  Utilities/VTK/vtkLookupTable16.h, Utilities/gdcm_expat.h,
	  Utilities/gdcm_ljpeg12.h, Utilities/gdcm_ljpeg16.h,
	  Utilities/gdcm_ljpeg8.h, Utilities/gdcm_md5.h,
	  Utilities/gdcm_openjpeg.h, Utilities/gdcm_uuid.h,
	  Utilities/gdcm_zlib.h, Utilities/rle/rlelib.h,
	  Wrapping/Python/gdcmPythonFilter.h: BUG: 2906713 Use shell script
	  for first pass (some error got reported) by script, will fix in
	  second pass

2009-12-10 16:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6408] Examples/Cxx/uid_unique.cxx: note

2009-12-10 14:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6407] Utilities/VTK/Examples/Cxx/gdcmrtion.cxx: doc

2009-12-10 14:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6406] Utilities/VTK/Examples/Cxx/gdcmrtion.cxx: Much cooler
	  interface to RT Ion

2009-12-10 11:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6405] Utilities/VTK/Applications/gdcmviewer.cxx: just for fun

2009-12-10 10:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6404] Applications/Cxx/gdcmconv.cxx: note

2009-12-10 10:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6403] Applications/Cxx/gdcmanon.cxx,
	  Applications/Cxx/gdcmconv.cxx: Need to drop FMI when (re)writing
	  the DataSet. So that last implementation is clearly identified

2009-12-10 10:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6402] Applications/Cxx/gdcmscanner.cxx: fix leak

2009-12-10 09:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6401] Applications/Cxx/gdcmscanner.cxx: test progress event

2009-12-10 09:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6400] Source/Common/CMakeLists.txt, Source/Common/gdcmEvent.h,
	  Source/Common/gdcmProgressEvent.cxx,
	  Source/Common/gdcmProgressEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizeEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmScanner.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.h,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.h,
	  Wrapping/Csharp/gdcm.i: BUG: 2911432 Make gdcm::Scanner behave
	  like gdcm::Anonymizer

2009-12-10 09:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6399] Source/MediaStorageAndFileFormat/gdcmDataSetHelper.h,
	  Source/MediaStorageAndFileFormat/gdcmImage.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmap.h: add warning

2009-12-10 09:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6398] Source/DataDictionary/gdcmSOPClassUIDToIOD.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.h,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.h,
	  Source/DataStructureAndEncodingDefinition/gdcmWriter.h: minor doc

2009-12-10 08:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6397] Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.h,
	  Source/InformationObjectDefinition/gdcmDefs.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx: More
	  testing on SOP Class To IODs clases

2009-12-10 08:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6396] Utilities/VTK/Examples/Cxx/gdcmrtion.cxx: fix RT Ion
	  hanlding

2009-12-09 22:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6395] Utilities/VTK/Examples/Cxx/CMakeLists.txt,
	  Utilities/VTK/Examples/Cxx/gdcmrtion.cxx: Playing with
	  gdcm::MediaStorage::RTIonPlanStorage

2009-12-09 18:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6394] Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx: Fixing
	  the obvious one

2009-12-09 18:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6393] Source/InformationObjectDefinition/Part4.xsl: fix

2009-12-09 17:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6392] Utilities/VTK/Applications/gdcm2vtk.cxx: Start writing
	  some tiff/png files

2009-12-09 17:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6391]
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx: BUG:
	  2911319 Fix lossless is not lossless on the famous 10bits, 1024
	  max image: D_CLUNIE_RG3_JPLY.dcm.

2009-12-09 11:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6390] Source/MediaStorageAndFileFormat/gdcmPNMCodec.cxx: fix
	  PNM

2009-12-09 10:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6389] Source/DataDictionary/gdcmSOPClassUIDToIOD.cxx,
	  Source/DataDictionary/gdcmSOPClassUIDToIOD.h,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Source/InformationObjectDefinition/Part4ToC++.xsl,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx:
	  Start testing IODs relat to SOP

2009-12-09 09:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6388] Source/InformationObjectDefinition/CMakeLists.txt:
	  install Part4.xml

2009-12-09 09:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6387] Applications/Cxx/gdcmanon.cxx: gdcmanon --dumb --replace
	  would not work when tag contains letter, eg: --replace
	  8,103e,ANON. Thanks to Bartosz Wiklak for report.

2009-12-08 15:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6386]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Source/InformationObjectDefinition/gdcmDefs.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx:
	  Handle more IODs

2009-12-08 14:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6385] Source/Common/gdcmUnpacker12Bits.h,
	  Testing/Source/Common/Cxx/TestUnpacker12Bits.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx: Make
	  the test fail for good reasons

2009-12-08 14:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6384] Utilities/getopt/CMakeLists.txt: Do not install ex_getopt
	  for release

2009-12-08 09:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6382] Wrapping/Python/TestWrap.py: TestDriver is not a class

2009-12-07 17:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6381] CMakeLists.txt, Source/Common/gdcmTestDriver.h,
	  Testing/Source/Common/Cxx/CMakeLists.txt,
	  Testing/Source/DataDictionary/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/InformationObjectDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Utilities/VTK/Testing/Cxx/CMakeLists.txt: Work toward getting
	  lc_numeric fixed in GDCM once for all...

2009-12-07 14:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6380] Applications/Cxx/gdcminfo.cxx,
	  Testing/Source/InformationObjectDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/InformationObjectDefinition/Cxx/TestDefs.cxx:
	  prepare test for bug report

2009-12-07 13:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6379] Source/InformationObjectDefinition/gdcmDefs.cxx: Missing
	  Raw Data

2009-12-07 13:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6378]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  TODO: Fix issue with Raw Data Storage. Update TODO

2009-12-07 09:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6377]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestScanner.cxx:
	  TestScanner would segfault

2009-12-06 15:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6376] Applications/Cxx/gdcminfo.cxx,
	  Source/DataDictionary/gdcmUIDs.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h:
	  Handle some segmentation SOP class

2009-12-05 12:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6375]
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx:
	  Missing file

2009-12-04 13:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6372] Source/MediaStorageAndFileFormat/gdcmIPPSorter.h: more
	  info

2009-12-04 11:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6371] Source/MediaStorageAndFileFormat/TODO.txt: charset TODO

2009-12-04 09:13  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6370] Source/MediaStorageAndFileFormat/gdcmIPPSorter.cxx: Make
	  the IPPSorter discard non-DICOM file (I think this is ok). Also
	  discard any DICOM file not containing IPP value (think DICOMDIR
	  maybe...)

2009-12-03 09:47  Jean-Pierre Roux <jprx@users.sourceforge.net>

	* [r6369] Source/MediaStorageAndFileFormat/gdcmRescaler.h: Fix
	  minor misstyping

2009-12-03 09:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6368] Source/Common/gdcmFilename.h,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRescaler.cxx:
	  Fix Rescaler again...

2009-12-03 08:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6367] Testing/Source/Data/gdcmMD5DataImages.cxx: BUG: Revert
	  rev 6366 for now

2009-12-02 15:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6366] Source/MediaStorageAndFileFormat/gdcmRescaler.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.h,
	  Testing/Source/Data/gdcmMD5DataImages.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRescaler.cxx,
	  Utilities/VTK/Testing/Cxx/CMakeLists.txt,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageWriter.cxx,
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageWriter1.cxx,
	  Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMImageReader.h: BUG: 2900500 + BUG: 2907529
	  This is a large commit, hopefully this is ok now.

2009-12-01 14:21  Jean-Pierre Roux <jprx@users.sourceforge.net>

	* [r6364]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestMediaStorage.cxx:
	  Fix English misstyping . (Hope I didn't add on!)

2009-12-01 13:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6363]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h: Add
	  warning

2009-12-01 13:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6362] Source/DataDictionary/gdcmUIDs.cxx,
	  Source/DataDictionary/gdcmUIDs.h,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestMediaStorage.cxx:
	  REvert commit from jpr

2009-12-01 13:29  Jean-Pierre Roux <jprx@users.sourceforge.net>

	* [r6361]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx:
	  Add "1.2.392.200036.9125.1.1.2", // Fuji Private CR Image Storage

2009-12-01 11:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6360] Source/Common/gdcmException.h: REvert: our changes to
	  CreateWhat look fine to me, but __FUNCTION__ cannot be used as
	  default argument. It says: error C2457: '__FUNCTION__':
	  predefined macro cannot appear outside of a function body So
	  instead, __FUNCTION__ should be specified as argument at the
	  location where the gdcm::Exception object is actually
	  constructed. comments from Niels

2009-12-01 10:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6359] Source/Common/gdcmException.h: now is the good time to
	  reactivate function

2009-12-01 09:53  Niels Dekker

	* [r6358] Source/Common/gdcmException.h: BUG: Improved
	  gdcm::Exception, applying proposed change 1 to 5, and 7, from
	  http://sourceforge.net/tracker/?func=detail&aid=2906150&group_id=137895&atid=739587

2009-11-30 16:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6357] Testing/Source/Common/Cxx/TestMD5.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPDFCodec.cxx:
	  coverage...

2009-11-30 16:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6356] Testing/Source/Common/Cxx/TestMD5.cxx: hopefully cleanup
	  remote machine

2009-11-30 15:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6355]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestLCNumeric.cxx:
	  Update test to actually do the right thing

2009-11-30 08:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6354] Testing/Source/Common/Cxx/TestMD5.cxx: fix test

2009-11-30 08:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6353] Source/Common/gdcmUnpacker12Bits.h,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.h: minor doxygen

2009-11-30 08:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6352] Source/MediaStorageAndFileFormat/gdcmRescaler.h: minor
	  doxygen

2009-11-29 18:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6351] Testing/Source/Common/Cxx/TestMD5.cxx: Improve test for
	  missing files

2009-11-29 17:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6350] Testing/Source/Common/Cxx/TestMD5.cxx: txt file dont care

2009-11-29 17:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6349] Testing/Source/Common/Cxx/TestMD5.cxx: txt file dont care

2009-11-29 11:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6348] Utilities/doxygen/CMakeLists.txt: Add vtk examples

2009-11-29 11:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6347] Source/MediaStorageAndFileFormat/gdcmRescaler.h: doc
	  issues

2009-11-29 10:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6345] TODO: PET + rescale slope issue

2009-11-29 10:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6344]
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx:
	  Support the file:
	  UndefinedValueLengthIllegalNonEncapsulatedTS.dcm.

2009-11-27 16:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6343] Utilities/doxygen/doxyfile.in: more path

2009-11-27 16:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6342]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestLCNumeric.cxx:
	  Need to check as some point this is working

2009-11-27 14:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6341] Source/Common/CMakeLists.txt,
	  Source/Common/gdcmConfigure.h.in: Prepare for CMS PBE at some
	  point

2009-11-27 13:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6340] Applications/Cxx/gdcmconv.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h: Fix
	  invalid strlen problem. const char* where not padded properly.

2009-11-27 13:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6339] Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx:
	  remove leak

2009-11-27 12:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6338] Utilities/VTK/CMakeLists.txt: Apply patch suggested by
	  Olivier Robin

2009-11-27 11:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6337] Utilities/doxygen/doxyfile.in: Examples from VTK too

2009-11-27 11:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6336] Examples/Cxx/AnonymizeAES.cxx,
	  Examples/Cxx/CMakeLists.txt: remove #AnonymizeAES

2009-11-27 11:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6335]
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.h: more
	  doc

2009-11-25 17:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6333] Utilities/VTK/Examples/Csharp/HelloActiviz5.cs: fun with
	  activiz

2009-11-25 17:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6332] Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloActiviz2.cs: shut up warning+
	  improve doc

2009-11-25 16:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6331] Utilities/VTK/CMakeLists.txt: doc

2009-11-25 14:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6329] Testing/Source/Common/Cxx/CMakeLists.txt,
	  Testing/Source/Common/Cxx/TestCryptographicMessageSyntax.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestPDBHeader.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestSerieHelper.cxx:
	  coverage

2009-11-25 14:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6328]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestFileDerivation.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPNMCodec.cxx:
	  coverage

2009-11-25 14:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6327] Examples/Csharp/CompressLossyJPEG.cs,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.h,
	  Wrapping/Csharp/gdcm.i: Lets be more user friendly and add some
	  doc

2009-11-25 13:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6326] Examples/Csharp/CompressLossyJPEG.cs,
	  Source/MediaStorageAndFileFormat/gdcmCoder.h,
	  Source/MediaStorageAndFileFormat/gdcmDecoder.h,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Wrapping/Csharp/gdcm.i: Just playing with JPEGCodec from C#.
	  Seems to be working nicely

2009-11-25 12:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6325]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestDICOMDIRGenerator.cxx:
	  Attempt to increase coverage

2009-11-25 10:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6324] Utilities/doxygen/man/gdcmimg.man: update doc

2009-11-25 10:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6323]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h:
	  Adding VLPhotographicImageStorage

2009-11-25 10:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6322] Utilities/doxygen/man/gdcminfo.man: explain more options

2009-11-25 10:13  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6321] Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageWriter2.cxx:
	  cleanup

2009-11-25 10:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6320] Utilities/doxygen/man/gdcmanon.man: add link

2009-11-25 08:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6319]
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx:
	  Missing new files

2009-11-24 21:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6318] Testing/Source/Data/gdcmMD5DataImages.cxx: New files in
	  gdcmData CVS HEAD

2009-11-24 15:02  Niels Dekker

	* [r6313] CMakeLists.txt: ENH: Added URL of "What is gdcmData?" to
	  CMake GDCM_DATA_ROOT message, according to report #2903154, as
	  discussed at Re: [Gdcm2] gdcmData.

2009-11-24 11:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6301] CMakeLists.txt,
	  Testing/Source/Common/Cxx/TestFilename.cxx: update link to new
	  wiki

2009-11-24 10:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6300] Utilities/doxygen/man/gdcmanon.man: irreversible
	  anonymization doc

2009-11-24 10:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6299] Testing/Source/Common/Cxx/TestFilename.cxx: Play with UNC

2009-11-23 17:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6298] Utilities/gdcmutfcpp,
	  Utilities/gdcmutfcpp/README.GDCM.txt, Utilities/gdcmutfcpp/utf8,
	  Utilities/gdcmutfcpp/utf8.h, Utilities/gdcmutfcpp/utf8/checked.h,
	  Utilities/gdcmutfcpp/utf8/core.h,
	  Utilities/gdcmutfcpp/utf8/unchecked.h: Adding utfcpp 2.2.4

2009-11-23 16:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6297] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: some
	  easy warnigs

2009-11-23 16:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6296] Source/MediaStorageAndFileFormat/gdcmIconImage.cxx:
	  hopefully fix warning on macosx about
	  bin/libgdcmMSFF.a(gdcmIconImage.cxx.o) has no symbols

2009-11-23 11:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6295] Utilities/doxygen/man/gdcmanon.man: reformat

2009-11-23 11:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6294] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: More
	  warnings

2009-11-23 11:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6293]
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.cxx: Some
	  warnings fix

2009-11-23 10:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6292] Source/Common/gdcmTesting.cxx,
	  Source/Common/gdcmTesting.h,
	  Testing/Source/Common/Cxx/TestFilename.cxx: Quick fix for the
	  wchar_t test

2009-11-21 23:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6291] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  fix warning

2009-11-21 22:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6290]
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx:
	  fix warning

2009-11-21 22:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6289]
	  Source/DataStructureAndEncodingDefinition/gdcmByteSwapFilter.cxx:
	  fix warning

2009-11-21 22:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6288] Source/DataStructureAndEncodingDefinition/gdcmFileSet.h:
	  warning

2009-11-21 22:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6287] Source/Common/gdcmSystem.cxx: warning fix

2009-11-21 22:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6286] Utilities/VTK/Examples/Cxx/gdcmorthoplanes.cxx: debug

2009-11-21 22:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6285] Utilities/VTK/vtkGDCMImageReader.cxx: typo

2009-11-21 22:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6284] Source/Common/gdcmBase64.cxx: some warnings

2009-11-21 09:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6283] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  BUG: 2900448 Rescale/Slope was not symmetric. It was missing PET
	  and Enhanced SC storage type. Thanks to Mark for report

2009-11-20 18:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6282] Testing/Source/Common/Cxx/TestFilename.cxx: more portable

2009-11-20 17:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6281] Testing/Source/Common/Cxx/TestFilename.cxx: Add comment
	  from Niels

2009-11-20 15:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6279] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  BUG: 2901181 This commit revert the order of the spacing. As per
	  DICOM spec it is Y\X and not X\Y. Thanks to Paulo Henrique
	  Junqueira Amorim for providing dataset to reproduce the issue.

2009-11-20 15:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6278] Source/MediaStorageAndFileFormat/gdcmPixmapReader.h: fix
	  compilation

2009-11-20 08:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6276] Testing/Source/Common/Cxx/TestFilename.cxx: Fix win32
	  test

2009-11-20 08:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6274] CMakeLists.txt: COMP: Fix static builds

2009-11-19 17:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6273] Testing/Source/Common/Cxx/TestFilename.cxx: improve
	  testing

2009-11-19 17:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6272] Source/Common/gdcmSystem.h: style

2009-11-19 17:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6271] Testing/Source/Common/Cxx/TestFilename.cxx: Add test for
	  long path

2009-11-19 16:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6269] Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx:
	  BUG: 2900591 Remove all poorly written function and replace by
	  safer gdcm::Attribute
	  (PixmapReader::ReadUSFromTag/PixmapReader::ReadISFromTag/PixmapReader::ReadSSFromTag).

2009-11-19 11:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6268] Source/Common/CMakeLists.txt,
	  Source/Common/gdcmConfigure.h.in,
	  Testing/Source/Common/Cxx/TestFilename.cxx: Improve test + add
	  suggestion from Niels Dekker

2009-11-19 09:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6267] CMake/FindOpenSSL.cmake: fix avanced options

2009-11-19 08:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6266] Source/Common/CMakeLists.txt,
	  Source/Common/gdcmConfigure.h.in,
	  Testing/Source/Common/Cxx/TestFilename.cxx: Test to get unicode
	  in GDCM

2009-11-18 14:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6265] Examples/Cxx/CMakeLists.txt: Compilation with qt problems

2009-11-18 12:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6264] CMake/FindOpenSSL.cmake: Update OpenSSL module

2009-11-16 11:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6262] Source/Common/CMakeLists.txt,
	  Source/DataDictionary/CMakeLists.txt,
	  Source/DataStructureAndEncodingDefinition/CMakeLists.txt,
	  Source/InformationObjectDefinition/CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/CMakeLists.txt,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt,
	  Utilities/gdcmjpeg/12/CMakeLists.txt,
	  Utilities/gdcmjpeg/16/CMakeLists.txt,
	  Utilities/gdcmjpeg/8/CMakeLists.txt: BUG: Fix installation issue
	  with cmake 2.8 and NAMELINK_SKIP/NAMELINK_ONLY support

2009-11-13 08:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6261] Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/vtkgdcm-sharp.dll.config,
	  Wrapping/Csharp/gdcm-sharp.dll.config: Remove those mono config
	  files. they are not portables

2009-11-12 22:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6257] Wrapping/Csharp/CMakeLists.txt: revert

2009-11-12 16:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6255] Applications/Cxx/gdcminfo.cxx: update for new poppler

2009-11-12 16:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6254] Applications/Cxx/CMakeLists.txt: BUG: fix try compile

2009-11-12 16:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6253] Applications/Cxx/CMakeLists.txt,
	  Applications/Cxx/gdcminfo.cxx: BUG: See doc
	  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=529331.
	  Basically poppler people simply removed a public member function
	  and simply bump up the minor version, for something that is not
	  backward compatible.

2009-11-12 13:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6250] Utilities/doxygen/CMakeLists.txt: ENH: specify version in
	  PDF

2009-11-12 11:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6246] Wrapping/Python/docstrings.i: update python doc

2009-11-12 11:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6244] Examples/Python/ScanDirectory.py: doxygen cannot digest
	  this

2009-11-12 11:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6243] Examples/Python/DecompressImage.py: please doxy

2009-11-12 11:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6242] Examples/Cxx/rle2img.cxx: doxygen cannot digest this

2009-11-12 11:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6241] Source/DataDictionary/gdcmPrivateDefaultDicts.cxx: Fix
	  dict. Thanks to JPR for sample data

2009-11-12 10:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6238]
	  Testing/Source/MediaStorageAndFileFormat/Python/TestKakaduDecompressionMD5.py:
	  fix test

2009-11-12 09:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6237] Testing/Source/Data/CMakeLists.txt: Remove 12bits image
	  for now

2009-11-12 09:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6236] Utilities/doxygen/README, Utilities/doxygen/doxyfile.in:
	  Update dox config+document it

2009-11-12 09:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6235]
	  Source/DataStructureAndEncodingDefinition/gdcmCSAElement.h: COMP:
	  Fix comp issue. Thanks to JPR for report

2009-11-12 08:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6234]
	  Source/DataStructureAndEncodingDefinition/gdcmCSAElement.h: Soem
	  documatation

2009-11-10 18:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6232] Testing/Source/Common/Cxx/CMakeLists.txt: fix tests

2009-11-10 17:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6231] Testing/Source/Common/Cxx/CMakeLists.txt: fix test

2009-11-10 17:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6230] CMakeLists.txt: Fix the installer depending on options

2009-11-10 11:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6229] Testing/Source/DataDictionary/Cxx/CMakeLists.txt: fix
	  compilation on mingw32

2009-11-10 09:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6228] Wrapping/Csharp/CMakeLists.txt,
	  Wrapping/Csharp/HelloCsharpWorld.cs,
	  Wrapping/Csharp/HelloWorld.cs: rename example

2009-11-10 09:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6227] Wrapping/Csharp/CMakeLists.txt: Remove the mono config
	  file I never really liked this thing (not portable anyway)

2009-11-10 09:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6226] Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/CompressLossyJPEG.cs: Works for me

2009-11-10 08:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6225] Utilities/doxygen/man/gdcmconv.man: missing option

2009-11-09 09:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6224] Testing/Source/Common/Cxx/TestBase64.cxx: warning

2009-11-08 21:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6223] Utilities/VTK/CMakeLists.txt: well technically one could
	  only request vtkgdcm-java without gdcm-java

2009-11-08 19:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6222] CMakeLists.txt: ENH: need cmake 2.6.2 now

2009-11-08 13:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6221] Testing/Source/Common/Cxx/TestBase64.cxx: fix warning

2009-11-07 17:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6220] Utilities/VTK/vtkGDCMImageWriter.cxx: Indicate where this
	  is coming from

2009-11-07 17:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6219]
	  Testing/Source/MediaStorageAndFileFormat/Python/TestDCMTKMD5.py:
	  fix test

2009-11-07 17:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6218] Testing/Source/Common/Cxx/TestBase64.cxx: tzeqks

2009-11-07 14:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6217] Testing/Source/Common/Cxx/TestBase64.cxx: remote debug

2009-11-06 14:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6216] Utilities/doxygen/CMakeLists.txt,
	  Utilities/doxygen/TestsList.txt.in: add some examples

2009-11-06 13:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6215] Utilities/doxygen/TestsList.txt.in,
	  Utilities/doxygen/TestsList.txt2.in: doxy

2009-11-06 13:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6214] Utilities/doxygen/TestsList.txt.in,
	  Utilities/doxygen/TestsList.txt2.in,
	  Utilities/doxygen/doxyfile.in: doxy

2009-11-06 11:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6213]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt: need
	  data

2009-11-06 11:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6212]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt:
	  remove for now

2009-11-06 11:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6211] Testing/Source/Common/Cxx/TestBase64.cxx: report issue

2009-11-06 11:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6210]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt: need
	  data

2009-11-06 11:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6209]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRescaler.cxx:
	  BUG: This test had been failing since I fixed the issue with
	  VR:DS which is closely represented by an ieee double precision
	  floating point value. Thanks -again- to Niels Dekker for catching
	  this

2009-11-06 11:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6208]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestRescaler.cxx:
	  Thsi is failing for me now

2009-11-06 09:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6207] Testing/Source/Common/Cxx/TestVersion.cxx: COMP: fix
	  warning

2009-11-06 09:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6206] Source/MediaStorageAndFileFormat/gdcmOrientation.cxx:
	  BUG: Fix init problem as reported by Niels Dekker on mailing
	  list.

2009-11-05 19:30  Niels Dekker

	* [r6205] Testing/Source/Common/Cxx/TestVersion.cxx: ENH: Added
	  tests whether the static gdcm::Version member functions are
	  "callable" without compile or linking errors.

2009-11-05 19:25  Niels Dekker

	* [r6204] Source/Common/gdcmVersion.cxx,
	  Source/Common/gdcmVersion.h: ENH: Moved implementation of static
	  gdcm::Version member functions from .h to .cxx file, according to
	  tracker bug report 2889560.

2009-11-04 10:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6201] CMake/FindJava.cmake,
	  Utilities/VTK/Examples/Java/CMakeLists.txt: use newest cmake
	  fnidjava.cmake

2009-11-04 09:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6200] CMake/FindJava.cmake, Wrapping/Java/CMakeLists.txt: start
	  isong the cool new findjava.cmake

2009-11-02 14:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6196] CMake/FindDCMTK.cmake: backport

2009-11-02 10:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6195] Source/MediaStorageAndFileFormat/CMakeLists.txt: BUG:
	  Could not compile with -Wl,--no-undefined

2009-11-02 10:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6194] Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmtar.man: fix man page warnings

2009-11-02 09:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6193] Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmdump.man,
	  Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmtar.man: fix man page warnings

2009-11-02 09:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6192] Utilities/doxygen/man/gdcmanon.man,
	  Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmdump.man,
	  Utilities/doxygen/man/gdcmgendir.man,
	  Utilities/doxygen/man/gdcminfo.man,
	  Utilities/doxygen/man/gdcmpdf.man,
	  Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmtar.man: BUG: revert svn merge -r
	  6189:6188 https://gdcm.svn.sourceforge.net/svnroot/gdcm/trunk/

2009-11-02 09:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6191] Source/DataDictionary/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt: BUG: rerevert again svn
	  merge -r 6190:6189
	  https://gdcm.svn.sourceforge.net/svnroot/gdcm/trunk/

2009-11-02 09:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6190] Source/DataDictionary/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt: BUG: revert for now svn
	  merge -r 6186:6185
	  https://gdcm.svn.sourceforge.net/svnroot/gdcm/trunk/

2009-11-02 08:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6189] Utilities/doxygen/man/gdcmanon.man,
	  Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmdump.man,
	  Utilities/doxygen/man/gdcmgendir.man,
	  Utilities/doxygen/man/gdcminfo.man,
	  Utilities/doxygen/man/gdcmpdf.man,
	  Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmtar.man: Cannot use three dots in man
	  pages

2009-11-01 12:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6186] Source/DataDictionary/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt: BUG: Fix
	  http://bugs.debian.org/553410. Thanks to Dominique Belhachemi for
	  report

2009-10-30 15:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6184] CMake/FindDCMTK.cmake: use module from cmake CVS

2009-10-30 15:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6183] CMake/FindOpenSSL.cmake, CMake/FindOpenSSL2.cmake,
	  CMakeLists.txt: ENH: sync with cmake CVS

2009-10-30 11:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6180] INSTALL.txt: update info

2009-10-30 10:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6179] Applications/Cxx/CMakeLists.txt,
	  Applications/Cxx/gdcminfo.cxx, Source/Common/gdcmConfigure.h.in:
	  ENH: new feature. gdcminfo now prints encapsulated PDF info. Fix
	  BUG: 2889346

2009-10-29 09:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6169] Source/Common/gdcmCommand.h, Source/Common/gdcmEvent.h,
	  Utilities/doxygen/doxyfile.in, Wrapping/Java/CMakeLists.txt: doxy
	  fix

2009-10-29 09:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6168] Source/Common/gdcmASN1.h,
	  Source/MediaStorageAndFileFormat/gdcmConstCharWrapper.h: doxy fix

2009-10-28 15:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6167] Source/Common/gdcmVersion.h,
	  Testing/Source/Common/Cxx/TestVersion.cxx: I cannot revert the
	  void Print() const function to a static function. So instead move
	  the cstor/dstor to being public. This is an API change, but a
	  backward compatible change. Add test for exercising code

2009-10-28 09:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6161] Source/Common/gdcmBase64.h,
	  Source/MediaStorageAndFileFormat/gdcmConstCharWrapper.h,
	  Source/MediaStorageAndFileFormat/gdcmSimpleSubjectWatcher.h,
	  Source/MediaStorageAndFileFormat/gdcmSorter.h: more doxy fix

2009-10-27 16:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6160] Examples/Java/DecompressPixmap.java: problem with java
	  cov return type

2009-10-27 16:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6159] Examples/Java/DecompressPixmap.java: doc

2009-10-27 16:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6158] Examples/Java/DecompressPixmap.java: add dummy example in
	  java

2009-10-27 15:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6157] Source/Common/gdcmCryptographicMessageSyntax.h,
	  Source/Common/gdcmMD5.h, Source/Common/gdcmSHA1.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.h,
	  Source/InformationObjectDefinition/gdcmIOD.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizeEvent.h,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmFileExplicitFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmSerieHelper.h: fix doxygen

2009-10-27 14:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6156] Utilities/doxygen/doxyfile.in: try to fix doc

2009-10-27 09:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6152] Utilities/gdcmjpeg/12/CMakeLists.txt,
	  Utilities/gdcmjpeg/16/CMakeLists.txt,
	  Utilities/gdcmjpeg/8/CMakeLists.txt,
	  Utilities/gdcmjpeg/CMakeLists.txt: proper install path

2009-10-27 09:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6151] Utilities/gdcmcharls/CMakeLists.txt: avoid mixing stuff

2009-10-27 09:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6150] CMake/CTestCustom.ctest.in: remove warning

2009-10-26 16:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6149] CMakeLists.txt, Utilities/VTK/CMakeLists.txt,
	  Wrapping/Java/CMakeLists.txt: do java cpack stuff

2009-10-26 11:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6145] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  hopefully remove warning

2009-10-26 11:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6144] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  hopefully remove warning

2009-10-26 11:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6143]
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx:
	  hopefully remove warning

2009-10-26 11:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6142] Source/DataStructureAndEncodingDefinition/gdcmItem.h:
	  hopefully remove warning

2009-10-26 11:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6141]
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.h:
	  hopefully remove warning

2009-10-26 11:25  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6140]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  FIX: Failing test on MSVC

2009-10-26 11:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6139] CMake/CTestCustom.ctest.in: hopefully remove warning

2009-10-26 11:24  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6138] CMake/CTestCustom.ctest.in: hopefully remove warning

2009-10-25 12:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6137] PACKAGER: bizarre error in doxygen

2009-10-23 16:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6131] CMake/CMakeDetermineCSharpCompiler.cmake,
	  CMake/CMakeTestCSharpCompiler.cmake,
	  CMake/ExportConfiguration/CMakeLists.txt,
	  Utilities/doxygen/vtk/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt,
	  Utilities/gdcmexpat/CMakeLists.txt,
	  Utilities/gdcmmd5/CMakeLists.txt,
	  Utilities/gdcmopenjpeg/CMakeLists.txt,
	  Utilities/gdcmuuid/CMakeLists.txt: ENH: stop the IMMEDIATE
	  insanity. (was for compat with cmake 2.0 anyway)

2009-10-22 07:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6126]
	  Source/InformationObjectDefinition/gdcmEnumeratedValues.h: ASCII
	  please

2009-10-21 08:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6125]
	  Source/InformationObjectDefinition/gdcmEnumeratedValues.h: style

2009-10-19 14:48  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6121]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  FIX: Test failing on MSVC

2009-10-17 16:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6119] Wrapping/Csharp/CMakeLists.txt,
	  Wrapping/Java/CMakeLists.txt, Wrapping/Python/CMakeLists.txt:
	  cleanup interface

2009-10-16 13:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6115] Wrapping/Java/gdcm.i, Wrapping/Python/gdcmswig.i: COMP:
	  Win32

2009-10-16 13:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6113] CMake/UsePythonTest.cmake: pass env vars

2009-10-13 15:40  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6110]
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestMediaStorage.cxx:
	  FIX: enum MSType, char *MSStrings[] and MSModalityType
	  MSModalityTypes[] should always be of the same length. Also
	  fixing test to check for this.

2009-10-12 14:01  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6109]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  FIX: Microsoft Visual C++ always uses 3 digits in exponent.

2009-10-11 13:43  Dean Inglis <deaninglis@users.sourceforge.net>

	* [r6108] Source/MediaStorageAndFileFormat/gdcmSpacing.cxx: COMP:
	  fix MSVS warnings

2009-10-11 13:42  Dean Inglis <deaninglis@users.sourceforge.net>

	* [r6107] Source/Common/gdcmSwapper.txx: COMP: fix MSVS warnings

2009-10-09 13:58  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6105]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageHelper.cxx:
	  ENH: Updating test for recent fix to gdcm::ImageHelper

2009-10-09 12:21  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6104] AUTHORS: Fixing my name, Thanks for adding me\!

2009-10-09 12:19  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6103] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  FIX: SetDirectionCosinesValue aborts if Direction Cosines are not
	  valid

2009-10-08 14:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6099] Source/MediaStorageAndFileFormat/gdcmImageHelper.h: doc

2009-10-08 14:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6098]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageHelper.cxx:
	  update from Daniele input

2009-10-08 07:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6096] AUTHORS: add Dean

2009-10-07 18:33  Dean Inglis <deaninglis@users.sourceforge.net>

	* [r6095] Source/Common/gdcmASN1.cxx: BUG: empty controlled
	  statement

2009-10-07 09:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6089] Wrapping/Csharp/gdcm.i: COMP: Fix comp issue on WIN64.

2009-10-07 08:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6088] Utilities/C99/stdint.h: Update

2009-10-06 22:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6087] Source/Common/gdcmEvent.h: COMP: Fix comp. Thanks to Dean
	  Inglis for report

2009-10-06 16:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6086] Source/Common/gdcmEvent.h: COMP warning C4800: 'const
	  gdcm::EndEvent::Self *' : forcing value to bool 'true' or 'false'
	  (performance warning)

2009-10-06 15:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6085] CMakeLists.txt: BUG: Need to expose GDCM_USE_JPEGLS to
	  user level, now that it is stable

2009-10-06 09:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6083] Utilities/VTK/vtkGDCMPolyDataReader.cxx,
	  Utilities/VTK/vtkGDCMPolyDataReader.h: doc

2009-10-06 07:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6082]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  COMP: Fix on VS compiler, pow is an ambiguous call

2009-10-05 10:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6081] AUTHORS: add drdanz

2009-10-05 09:58  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6080]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  FIX: Fixing large constants parsed as long integer instead of
	  double on Linux-ppc64-gcc-4.1 (I forgot one, sorry)

2009-10-05 09:39  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6079]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  FIX: Fixing large constants parsed as long integer instead of
	  double on Linux-ppc64-gcc-4.1

2009-10-02 21:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6078] Utilities/gdcmcharls/util.h: no such thing as ulonglong

2009-10-02 21:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6077] Source/MediaStorageAndFileFormat/gdcmImageCodec.cxx:
	  warning

2009-10-02 21:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6076] Wrapping/Python/docstrings.i: doc

2009-10-02 21:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6075] Wrapping/Python/CMakeLists.txt: add simple test

2009-10-02 21:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6074] TODO: done

2009-10-02 12:47  Daniele E. Domenichelli <drdanz@users.sourceforge.net>

	* [r6073]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  ENH: Fixed several bugs and added several tests

2009-10-01 16:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6070] Source/MediaStorageAndFileFormat/gdcmRLECodec.cxx: comp

2009-10-01 09:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6064] Utilities/doxygen/man/gdcmanon.man,
	  Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmimg.man,
	  Utilities/doxygen/man/gdcmraw.man: painfully fix duplicate
	  section names

2009-09-30 13:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6062]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestDS.cxx:
	  Try to play with Daniele code

2009-09-29 17:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6055] Source/DataDictionary/gdcmPrivateDefaultDicts.cxx,
	  Source/DataDictionary/privatedicts.xml: 637 new priv elements

2009-09-29 15:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6053]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestVRDS.cxx:
	  jsut a reminder

2009-09-29 08:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6049] Utilities/doxygen/man/gdcmconv.man: forgot to document
	  --planar-configuration option

2009-09-24 10:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6045]
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx:
	  BUG: Handle all cases

2009-09-23 16:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6044] Utilities/doxygen/man/gdcm2vtk.man: doc

2009-09-23 16:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6043] Applications/Cxx/gdcmtar.cxx: remove for now

2009-09-23 16:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6042] Source/MediaStorageAndFileFormat/gdcmJPEGLSCodec.cxx:
	  ENH: Adapt to new API ... sigh

2009-09-23 16:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6041] Utilities/gdcmcharls/README.GDCM.txt,
	  Utilities/gdcmcharls/colortransform.h,
	  Utilities/gdcmcharls/config.h, Utilities/gdcmcharls/context.h,
	  Utilities/gdcmcharls/contextrunmode.h,
	  Utilities/gdcmcharls/decoderstrategy.h,
	  Utilities/gdcmcharls/defaulttraits.h,
	  Utilities/gdcmcharls/encoderstrategy.h,
	  Utilities/gdcmcharls/header.cpp, Utilities/gdcmcharls/header.h,
	  Utilities/gdcmcharls/interface.cpp,
	  Utilities/gdcmcharls/interface.h,
	  Utilities/gdcmcharls/jpegls.cpp,
	  Utilities/gdcmcharls/lookuptable.h,
	  Utilities/gdcmcharls/losslesstraits.h,
	  Utilities/gdcmcharls/processline.h, Utilities/gdcmcharls/scan.h,
	  Utilities/gdcmcharls/stdafx.h, Utilities/gdcmcharls/streams.h,
	  Utilities/gdcmcharls/util.h: BUG: Fix 2865100 CharLS 1.0 beta is
	  out.

2009-09-23 15:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6040] Applications/Cxx/gdcmdump.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteSwapFilter.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Utilities/VTK/vtkGDCMPolyDataReader.cxx: BUG: Fix 2832065 Get rid
	  of GetSequenceOfItems(), replace by GetValueAsSQ. COMP: Remove
	  minor warning

2009-09-22 21:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6039] Applications/Cxx/gdcmconv.cxx,
	  Applications/Cxx/gdcmtar.cxx, Source/DataDictionary/gdcmUIDs.h:
	  start working on gdcmtar

2009-09-22 16:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6038] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx: BUG
	  Fix 2864426 GetSpacingValue for TG18-QC for MG

2009-09-20 09:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6037]
	  Utilities/VTK/Testing/Cxx/TestvtkGDCMImageReaderIsLossy.cxx: fix
	  test

2009-09-20 09:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6036] Source/Common/gdcmSwapper.txx: COMP: fix comp on macosx

2009-09-20 09:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6035] Testing/Source/Data/CMakeLists.txt: remove test on 12bits
	  allocated image...

2009-09-20 09:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6034] Testing/Source/Data/gdcmMD5DataImages.cxx: fix test

2009-09-19 16:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6033] Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/RescaleImage.cs,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Wrapping/Csharp/gdcm.i: Adding an example

2009-09-19 15:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6032] Source/DataStructureAndEncodingDefinition/gdcmElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVM.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVM.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.cxx,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestTag.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestStringFilter.cxx:
	  BUG: Fix 2862213 Fix VM::GetLength & VR::GetSize

2009-09-19 13:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6031] Source/MediaStorageAndFileFormat/gdcmRescaler.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.h: doc

2009-09-19 12:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6030] Source/MediaStorageAndFileFormat/gdcmStringFilter.cxx:
	  BUG: fix some more cqses

2009-09-19 09:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6029] Source/DataDictionary/gdcmDicts.h: doc

2009-09-19 09:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6028] Source/MediaStorageAndFileFormat/gdcmPrinter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.cxx: BUG: Fix
	  ID: 2862093 StringFilter::ToStringPair does not handle private
	  tags

2009-09-19 09:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r6027]
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.h:
	  BUG: revert

2009-09-03 08:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5999]
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx:
	  fix comp

2009-09-02 16:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5998]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReader.cxx:
	  fix test

2009-09-02 16:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5997] Wrapping/Python/TestPythonFilter.py: bye

2009-09-02 16:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5996] Wrapping/Python/TestWrap.py: fix test

2009-09-02 16:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5995] CMakeLists.txt: remove warnings

2009-09-02 16:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5994] Source/Common/gdcmASN1.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.h:
	  Lets fix TestReader

2009-09-02 15:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5993]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReader.cxx:
	  fix test

2009-09-02 15:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5992]
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestReader.cxx:
	  log

2009-09-01 16:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5991] Utilities/VTK/Examples/Cxx/gdcmorthoplanes.cxx:
	  orientation widget

2009-08-30 10:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5990] Wrapping/Csharp/gdcm.i, Wrapping/Java/gdcm.i,
	  Wrapping/Python/gdcmswig.i: Fix wrapping + legacy stuff

2009-08-21 08:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5989] CMake/FindPVRGJPEG.cmake, CMakeLists.txt,
	  Examples/Cxx/CMakeLists.txt, Source/Common/gdcmConfigure.h.in,
	  Source/MediaStorageAndFileFormat/gdcmPVRGCodec.cxx,
	  Utilities/CMakeLists.txt: system pvrg

2009-08-20 15:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5987] Source/Common/CMakeLists.txt, Source/Common/gdcmMacro.h,
	  Source/Common/gdcmTypes.h,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h: ENH:
	  setup legacy system

2009-08-20 08:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5986] CMakeLists.txt, Utilities/CMakeLists.txt: secret option

2009-08-20 08:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5985] Utilities/Insight/Testing/Cxx/CMakeLists.txt,
	  Utilities/Insight/Testing/Cxx/TestitkGDCMImageIO.cxx,
	  Utilities/Insight/itkGDCMImageIO2.cxx: add test

2009-08-18 16:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5973] Wrapping/Java/CMakeLists.txt, Wrapping/Java/gdcm.i: Fix
	  debian issue: libgdcm-java: Covariant return type for
	  gdcm::ImageToImageFilter::GetOutput

2009-08-18 16:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5972]
	  Testing/Source/MediaStorageAndFileFormat/Python/CMakeLists.txt:
	  activate test

2009-08-18 16:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5971] Utilities/gdcmjpeg/CMakeLists.txt: apply debian patch

2009-08-13 15:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5958] CMake/FindUUID.cmake: info

2009-08-13 12:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5957] Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmdump.man: doc

2009-08-13 12:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5956] Utilities/KWStyle/GDCMFiles.txt.in: more

2009-08-13 12:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5955] Utilities/KWStyle/CMakeLists.txt: doh

2009-08-13 11:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5954] Utilities/KWStyle/GDCMOverwrite.txt: override

2009-08-13 11:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5953] Utilities/KWStyle/CMakeLists.txt: doh

2009-08-13 11:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5952] CMake/UsePythonTest.cmake: fix ld lib path

2009-08-13 10:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5951] Examples/Python/PrivateDict.py: new example

2009-08-10 09:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5948] Utilities/doxygen/man/gdcmdump.man,
	  Utilities/doxygen/man/gdcmgendir.man,
	  Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmtar.man,
	  Utilities/doxygen/man/gdcmviewer.man: doc

2009-08-10 08:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5947] Utilities/doxygen/man/gdcmconv.man: typo

2009-08-07 08:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5946] Utilities/doxygen/man/gdcmanon.man: DOC: thanks jpr

2009-08-07 07:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5945] Utilities/doxygen/man/gdcmanon.man: doc directory mode

2009-08-07 07:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5944] Utilities/doxygen/man/gdcmanon.man: even more verbose doc

2009-08-06 16:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5943] Applications/Cxx/gdcmanon.cxx: report for dumb

2009-08-06 16:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5942] Utilities/doxygen/man/gdcmanon.man: dumb mode need more
	  stuff

2009-08-06 16:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5941] Applications/Cxx/gdcmanon.cxx: report for dummy user...

2009-08-06 08:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5935] Utilities/doxygen/man/gdcmscanner.man: doc

2009-08-06 08:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5934] Utilities/doxygen/man/gdcmanon.man: doc

2009-08-06 08:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5933] Utilities/doxygen/man/gdcmanon.man: doc

2009-08-06 08:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5932] Utilities/doxygen/man/gdcmanon.man: doc

2009-08-06 07:42  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5931] Utilities/doxygen/man/gdcmanon.man: doc

2009-08-05 14:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5930] Applications/Cxx/gdcmimg.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx: leaks

2009-08-05 13:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5929] PACKAGER: doc

2009-08-05 09:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5928] TODO: todo

2009-08-05 09:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5927] Source/Common/CMakeLists.txt,
	  Source/DataDictionary/CMakeLists.txt,
	  Source/DataStructureAndEncodingDefinition/CMakeLists.txt,
	  Source/InformationObjectDefinition/CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/CMakeLists.txt, TODO: reduce
	  overlinking

2009-08-05 08:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5926]
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h: doc

2009-08-04 15:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5925] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  BUG: quick fix for SQ + Implicit + Defined Length...

2009-08-04 14:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5924] Utilities/doxygen/man/gdcmpdf.man: fix

2009-08-04 11:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5923] Utilities/VTK/vtkGDCMPolyDataReader.cxx: BUG: If first
	  item is missing some required DICOM Attribute, simply skip to
	  next one, instead of completely giving up. Thanks to Jason
	  Dowling for report + data to reproduce.

2009-08-03 15:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5922] CMake/FindKWStyle.cmake: kwstyle

2009-08-03 15:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5921] Utilities/CMakeLists.txt, Utilities/KWStyle,
	  Utilities/KWStyle/GDCM.kws.xml.in,
	  Utilities/KWStyle/GDCMFiles.txt.in,
	  Utilities/KWStyle/GDCMHeader.h,
	  Utilities/KWStyle/GDCMOverwrite.txt: kwstyle

2009-08-03 14:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5920] CMake/FindKWStyle.cmake: ENH: find kwstyle

2009-07-31 14:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5913] Utilities/doxygen/man/gdcm2vtk.man: doc

2009-07-31 14:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5912] Utilities/VTK/Applications/gdcm2vtk.cxx: mdh/mha

2009-07-31 12:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5911] Utilities/doxygen/vtk/CMakeLists.txt: cope with debian
	  vtk-doc package

2009-07-31 10:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5910] Utilities/doxygen/man/gdcm2vtk.man: update doc

2009-07-30 09:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5904]
	  Testing/Source/MediaStorageAndFileFormat/Cxx/CMakeLists.txt: bug

2009-07-22 09:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5902] TODO: todo

2009-07-17 12:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5901] Utilities/doxygen/man/gdcmimg.man: doc

2009-07-16 12:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5894] Utilities/VTK/CMakeLists.txt: javac does not support -cp
	  only java

2009-07-13 08:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5889] Utilities/VTK/CMakeLists.txt: cope with debian issues

2009-07-08 16:26  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5872] CMake/FindUUID.cmake: trial

2009-07-03 08:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5871] Utilities/VTK/CMakeLists.txt: report error early on

2009-07-01 08:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5870] Source/Common/gdcmCryptographicMessageSyntax.cxx: COMP:
	  fix comp (Thx Sean McBride)

2009-06-30 17:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5869] Applications/Cxx/gdcmanon.cxx: doc

2009-06-30 17:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5868] Source/DataStructureAndEncodingDefinition/gdcmReader.cxx:
	  BUG: Completely refuse to read Virtual Big Endian, until issue of
	  CP 246 vs IVRLE is solved (Sean McBride bug report)

2009-06-30 17:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5867] Source/MediaStorageAndFileFormat/gdcmAnonymizer.cxx: lets
	  handle rare cases

2009-06-30 15:50  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5866] Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx:
	  ENH: accept UI padded with spaces

2009-06-30 15:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5865]
	  Source/DataStructureAndEncodingDefinition/gdcmDataElement.h,
	  Source/DataStructureAndEncodingDefinition/gdcmMediaStorage.cxx:
	  ENH: accept UI padded with spaces

2009-06-30 15:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5864] Source/Common/gdcmCryptographicMessageSyntax.cxx: add
	  debug info

2009-06-29 14:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5862] CMake/UseJavaTest.cmake: for some reason this was working
	  on linux

2009-06-26 12:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5860] Source/Common/gdcmFilename.cxx: COMP: fix comp warning on
	  Ubuntu/karmic (Andrea Gasparini)

2009-06-24 15:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5858] Wrapping/Java/gdcm.i: cope with java compiler not
	  suppporting covariant return type

2009-06-24 15:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5857] CMake/UseCSharp.cmake: verbosity

2009-06-23 15:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5856] CMake/FindMONO.cmake: finding csc v2 / vsv v3 should be
	  ok too

2009-06-23 15:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5855] CMakeLists.txt: fix

2009-06-23 15:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5854] Utilities/VTK/CMakeLists.txt: C# fix

2009-06-23 14:56  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5853] Wrapping/Csharp/CMakeLists.txt: fix name

2009-06-22 09:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5852] Source/Common/zipstreamimpl.h,
	  Source/Common/zipstreamimpl.hpp: Fix GCC bugzilla #40465: Putting
	  a standard header inside a namespace is undefined. Thanks to
	  Martin Michlmayr for report

2009-06-19 16:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5851] Examples/Python/ScanDirectory.py: add example

2009-06-19 11:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5850] Utilities/VTK/CMakeLists.txt: make sure that *.java files
	  are generated first. Activiz use the unmanaged lib just in
	  case...

2009-06-19 10:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5848] Utilities/doxygen/man/gdcmgendir.man: doc

2009-06-19 10:22  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5847] Source/Common/gdcmStaticAssert.h: doc: latex/pdf

2009-06-18 16:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5846] Utilities/VTK/Examples/Csharp/RefCounting.cs: doc

2009-06-18 15:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5845] Utilities/VTK/Examples/Csharp/HelloActiviz5.cs,
	  Utilities/VTK/Examples/Csharp/RefCounting.cs: noone realize there
	  was a missing example ...

2009-06-18 14:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5844] Utilities/doxygen/man/gdcmraw.man,
	  Utilities/doxygen/man/gdcmscanner.man,
	  Utilities/doxygen/man/gdcmtar.man,
	  Utilities/doxygen/man/gdcmviewer.man: doc

2009-06-18 14:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5843] Utilities/doxygen/man/gdcm2vtk.man,
	  Utilities/doxygen/man/gdcmconv.man,
	  Utilities/doxygen/man/gdcmdump.man,
	  Utilities/doxygen/man/gdcmimg.man,
	  Utilities/doxygen/man/gdcminfo.man: doc

2009-06-18 13:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5842] Utilities/doxygen/man/gdcmimg.man,
	  Wrapping/Csharp/AssemblyInfo.cs.in: doc

2009-06-18 12:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5841] Source/DataDictionary/gdcmPrivateDefaultDicts.cxx: ENH:
	  add MEDIS_IS&C

2009-06-18 11:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5839] Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx:
	  BUG: Fix serious issue reported by Paulo Henrique Junqueira
	  Amorim. Thanks for dataset to reproduce the issue (how did it
	  ever compiled...)

2009-06-17 14:09  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5838] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/ConvertToQImage.cxx: style

2009-06-17 13:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5837] Examples/Cxx/CMakeLists.txt,
	  Examples/Cxx/ConvertToQImage.cxx: Adding contribution from
	  Sylvain ADAM. Thank you.

2009-06-16 10:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5836] CMakeLists.txt,
	  Source/DataStructureAndEncodingDefinition/gdcmDataSet.h,
	  Utilities/C99/CMakeLists.txt, Utilities/CMakeLists.txt,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/gdcmcharls/CMakeLists.txt,
	  Utilities/gdcmexpat/CMakeLists.txt,
	  Utilities/gdcmjpeg/CMakeLists.txt,
	  Utilities/gdcmmd5/CMakeLists.txt,
	  Utilities/gdcmopenjpeg/CMakeLists.txt,
	  Utilities/gdcmuuid/CMakeLists.txt,
	  Utilities/gdcmzlib/CMakeLists.txt,
	  Utilities/getopt/CMakeLists.txt, Utilities/pvrg/CMakeLists.txt,
	  Utilities/wxWidgets/Copyright.txt: APPEND_COPYRIGHT patch

2009-06-16 10:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5835] Examples/Cxx/CMakeLists.txt,
	  Examples/Java/CMakeLists.txt: COMP: Apply patch from Lars
	  Matthaus

2009-06-12 10:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5827] AUTHORS: author

2009-06-12 10:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5826] Examples/Csharp/CMakeLists.txt: comp

2009-06-12 10:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5825] Wrapping/Java/gdcm.i, Wrapping/Python/gdcmswig.i:
	  wrapping

2009-06-12 10:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5824] Source/MediaStorageAndFileFormat/gdcmAnonymizer.h,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.h,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.h: links

2009-06-12 10:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5823] Examples/Csharp/StandardizeFiles.cs: typo

2009-06-12 10:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5822] Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/ReformatFile.cs,
	  Examples/Csharp/StandardizeFiles.cs, Wrapping/Csharp/gdcm.i: ENH:
	  add example for reformatting file

2009-06-12 10:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5821] Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs,
	  Examples/Csharp/GenerateDICOMDIR.cs,
	  Examples/Csharp/StandardizeFiles.cs: add standardize filter

2009-06-12 09:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5820] Applications/Cxx/gdcmconv.cxx,
	  Examples/Cxx/GenFakeImage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h,
	  Utilities/VTK/Applications/gdcm2vtk.cxx: cleanup doc for DERIVED
	  object. Add compression option for gdcm2vtk

2009-06-12 09:31  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5819] Applications/Cxx/gdcmconv.cxx,
	  Examples/Cxx/GenFakeImage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.h,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx:
	  overhaul FileDerivation to handle the lossy jpeg conversion from
	  gdcmconv (avoid duplicate code)

2009-06-12 08:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5818] Examples/Cxx/GenFakeImage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h: doc

2009-06-11 16:44  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5817] Examples/Cxx/GenFakeImage.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx: minor
	  tweaks

2009-06-11 16:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5816] Examples/Cxx/GenFakeImage.cxx,
	  Source/MediaStorageAndFileFormat/CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmFileDerivation.h: ENH: start
	  addition of PS 3.16 - 2008 for deriving a file from reference
	  files

2009-06-11 15:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5815] Applications/Cxx/gdcmconv.cxx,
	  Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs: style

2009-06-11 15:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5814] Applications/Cxx/gdcmconv.cxx,
	  Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs,
	  Source/Common/gdcmString.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.h,
	  Source/InformationObjectDefinition/gdcmDefs.cxx: ENH: add an
	  example implementation for Clinical Trial Identification Workflow

2009-06-11 13:29  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5813] Utilities/VTK/vtkGDCMImageReader.cxx: remove feature for
	  now

2009-06-11 13:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5812] Utilities/VTK/vtkGDCMMedicalImageProperties.cxx: fix leak

2009-06-11 13:05  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5811] Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMImageReader.h,
	  Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.cxx,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.h: ENH: start using
	  the vtkGDCMMedicalImageProperties

2009-06-11 12:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5810] Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h: todo

2009-06-11 09:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5809] Utilities/VTK/vtkGDCMImageWriter.cxx: default to implicit
	  as expected by standard (PS 3.5 / Section 10)

2009-06-11 09:32  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5808]
	  Source/MediaStorageAndFileFormat/gdcmImageToImageFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageToImageFilter.h,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPhotometricInterpretation.cxx,
	  Utilities/VTK/Applications/gdcm2vtk.cxx,
	  Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMImageReader.h,
	  Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h,
	  Utilities/VTK/vtkGDCMTesting.h: ENH: can now compress directly
	  from VTK writer

2009-06-10 16:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5807] Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.cxx,
	  Utilities/VTK/vtkGDCMMedicalImageProperties.h: prepare a subclass
	  specific for DICOM file (gdcm struct)

2009-06-10 15:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5805] Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloActiviz5.cs,
	  Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h, Utilities/VTK/vtkgdcm.i,
	  Wrapping/Csharp/gdcm.i: revert since does not work

2009-06-10 15:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5804] Source/MediaStorageAndFileFormat/gdcmImageCodec.h,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloActiviz5.cs,
	  Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h, Utilities/VTK/vtkgdcm.i,
	  Wrapping/Csharp/gdcm.i: Attempt to wrap a gdcm class in the
	  vtkgdcm layer. After a couple of trials, I have to give up and
	  implement another quicker solution.

2009-06-10 14:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5803] Utilities/doxygen/vtk/CMakeLists.txt: remove from all

2009-06-10 14:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5802] Utilities/VTK/Applications/gdcm2vtk.cxx: bug missing
	  short option

2009-06-10 14:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5801] Applications/Cxx/gdcmimg.cxx,
	  Utilities/VTK/Applications/gdcm2vtk.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.cxx,
	  Utilities/VTK/vtkGDCMImageWriter.h: Allow user to specifically
	  set their own Series/Study UIDs

2009-06-10 13:38  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5800] Utilities/VTK/Examples/CMakeLists.txt,
	  Utilities/VTK/Examples/Java,
	  Utilities/VTK/Examples/Java/CMakeLists.txt,
	  Utilities/VTK/Examples/Java/HelloVTKWorld.java: java wrap

2009-06-10 12:30  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5799] Examples/Java/HelloSimple.java, Wrapping/Java/gdcm.i:
	  application programmer should not need to know the actual name of
	  the jni layer

2009-06-10 12:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5798] CMake/UseJavaTest.cmake, CMakeLists.txt,
	  Examples/Java/CMakeLists.txt: automate test

2009-06-10 11:14  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5797] Examples/CMakeLists.txt, Examples/Java/CMakeLists.txt:
	  custom command

2009-06-10 11:03  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5796] Examples/Java/HelloSimple.java: report any issue

2009-06-10 10:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5795] Examples/Java/HelloSimple.java: typo

2009-06-10 10:54  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5794] Examples/Java/HelloSimple.java: typo

2009-06-10 10:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5793] Examples/Java, Examples/Java/CMakeLists.txt,
	  Examples/Java/HelloSimple.java: more examples

2009-06-10 10:10  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5792]
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.h,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestPhotometricInterpretation.cxx:
	  FIX truncated photometric interpreation (thanks to Lars Matthäus
	  for report)

2009-06-10 08:57  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5791] Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/GenerateDICOMDIR.cs,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h: ENH: C#
	  example for generating DICOMDIR

2009-06-10 08:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5790] Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloVTKWorld.cs,
	  Utilities/VTK/vtkgdcm.i, Utilities/VTK/vtkgdcmswig.i:
	  s/vtkgdcmswig/vtkgdcm/

2009-06-10 08:17  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5789] TODO, Utilities/VTK/vtkgdcmswig.i: fix leak in pure SWIG
	  part

2009-06-09 16:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5788] Utilities/VTK/Examples/Csharp/HelloActiviz3.cs,
	  Utilities/VTK/vtkgdcmswig.i: cleanups

2009-06-09 16:00  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5787] Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloVTKWorld2.cs,
	  Utilities/VTK/vtkGDCMTesting.cxx, Utilities/VTK/vtkgdcmswig.i:
	  cleanups

2009-06-09 15:43  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5786] Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/vtkgdcmswig.i: ENH: add test

2009-06-09 15:40  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5785] CMake/FindMONO.cmake, Utilities/VTK/vtkgdcmswig.i: BUG:
	  Fix invalid Dispose code generation

2009-06-09 14:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5784] Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/vtkgdcmswig.i: properly handle vtk ref counting
	  mechanism + test

2009-06-09 14:01  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5783] Utilities/VTK/Examples/Csharp/HelloActiviz5.cs,
	  Utilities/VTK/vtkgdcmswig.i: properly handle vtk ref counting
	  mechanism

2009-06-09 13:11  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5782] CMakeLists.txt, Utilities/VTK/AssemblyInfo.cs.in,
	  Utilities/VTK/vtkgdcmswig.i, Wrapping/Csharp/AssemblyInfo.cs.in:
	  specify the assembly version

2009-06-09 12:35  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5781] CMake/UseCSharpTest.cmake,
	  Examples/Csharp/CMakeLists.txt, Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloActiviz5.cs,
	  Utilities/VTK/vtkGDCMTesting.cxx, Utilities/VTK/vtkGDCMTesting.h,
	  Utilities/VTK/vtkgdcmswig.i: when vtkdataroot is not found
	  fallback to gdcmdataroot

2009-06-09 09:23  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5780] CMake/UseCSharp.cmake, CMake/UseCSharpTest.cmake,
	  CMakeLists.txt, Examples/Csharp/CMakeLists.txt,
	  Examples/Csharp/GetArray.cs, Examples/Csharp/SimplePrint.cs,
	  Examples/Csharp/TestCSharpFilter.cs,
	  Examples/Csharp/TestGetArray.cs,
	  Source/MediaStorageAndFileFormat/gdcmTagPath.h,
	  Utilities/VTK/CMakeLists.txt, Wrapping/Csharp/CMakeLists.txt,
	  Wrapping/Csharp/gdcm.i: BUG: add automated C# test

2009-06-09 08:07  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5779]
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.h,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloActiviz2.cs,
	  Utilities/VTK/vtkgdcm-sharp.dll.config,
	  Utilities/VTK/vtkgdcmswig.i, Wrapping/Csharp/gdcm.i,
	  Wrapping/Java/CMakeLists.txt, Wrapping/Java/gdcm.i: ENH: adding a
	  .config file to load .so file from .dll

2009-06-08 16:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5778] Utilities/VTK/vtkgdcmswig.i: comp

2009-06-08 16:52  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5777] CMakeLists.txt, Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/vtkgdcmswig.i, Wrapping/CMakeLists.txt,
	  Wrapping/Csharp/CMakeLists.txt: ENH: properly rename as per C#
	  convention. Also fix parallel builds when examples=ON

2009-06-08 15:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5776] Wrapping/Csharp/CMakeLists.txt,
	  Wrapping/Csharp/gdcm-sharp.dll.config: gdcm-sharp.dll can now
	  automatically load libgdcmsharpglue.so

2009-06-08 15:33  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5775] Examples/Csharp/CMakeLists.txt, TODO,
	  Wrapping/Csharp/CMakeLists.txt: ENH: s/gdcm_csharp/gdcm-sharp/

2009-06-08 15:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5774] Source/MediaStorageAndFileFormat/gdcmAnonymizer.h: todo

2009-06-08 14:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5773] Wrapping/Java/gdcm.i: java

2009-06-08 14:37  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5772] Wrapping/Csharp/gdcm.i, Wrapping/Python/TestWrap.py,
	  Wrapping/Python/gdcmswig.i: wrap missing python class

2009-06-08 14:36  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5771] Source/DataStructureAndEncodingDefinition/gdcmWriter.cxx:
	  style

2009-06-08 14:12  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5770] TODO, Utilities/doxygen/man/gdcmgendir.man: doc

2009-06-08 14:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5769] Utilities/doxygen/man/gdcmimg.man: cleanup

2009-06-08 14:06  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5768] Utilities/doxygen/man/gdcmimg.man: doc

2009-06-08 13:48  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5767] Examples/Python/DumbAnonymizer.py: doc

2009-06-08 13:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5766] Examples/Python/DumbAnonymizer.py: adding dumb anonymizer
	  python exampl

2009-06-08 13:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5765] Examples/Python/HelloWorld.py,
	  Utilities/doxygen/man/gdcmanon.man: doc

2009-06-08 12:53  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5764] Utilities/doxygen/man/gdcmanon.man: doc

2009-06-08 12:49  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5763] Applications/Cxx/gdcmanon.cxx: typo

2009-06-08 12:45  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5762] Source/MediaStorageAndFileFormat/gdcmAnonymizer.h: minor
	  cleanup

2009-06-08 12:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5761] Utilities/doxygen/man/gdcmanon.man: doc

2009-06-08 12:39  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5760] Applications/Cxx/gdcmanon.cxx: implement gdcmanon --dumb
	  mode for tests

2009-06-08 09:59  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5757]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h: COMP:
	  win32

2009-06-08 09:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5756] Utilities/doxygen/CMakeLists.txt,
	  Utilities/doxygen/README.txt.in: fix links

2009-06-08 09:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5755] Source/Common/gdcmWin32.h,
	  Utilities/VTK/Applications/gdcm2vtk.cxx,
	  Utilities/VTK/vtkGDCMImageReader.h,
	  Utilities/VTK/vtkGDCMImageWriter.h,
	  Utilities/VTK/vtkGDCMThreadedImageReader.h: BUG: regression. gdcm
	  now compiles with VTK 4.2 / VTK 4.4 again

2009-06-08 08:47  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5754] Source/MediaStorageAndFileFormat/CMakeLists.txt,
	  Source/MediaStorageAndFileFormat/gdcm_j2k.h,
	  Source/MediaStorageAndFileFormat/gdcm_jp2.h,
	  Utilities/gdcm_openjpeg.h: BUG: fix longstanding issue of system
	  openjpeg on debian (cure is worse than desease ...)

2009-06-08 07:51  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5753] TODO: todo

2009-06-05 16:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5752] CMake/FindUUID.cmake: how about now

2009-06-05 15:58  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5751] CMake/FindUUID.cmake: same player, play again

2009-06-05 15:53  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r5750] Utilities/Insight/itkGDCMImageIO2.cxx,
	  Utilities/VTK/vtkGDCMImageReader.cxx,
	  Utilities/VTK/vtkGDCMThreadedImageReader.cxx,
	  Utilities/VTK/vtkLookupTable16.cxx: replaced abort() with
	  assert(0)

2009-06-05 14:41  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5749] CMake/FindUUID.cmake: BUG: reported by Sean McBride
	  (email Jun 4 2009)

2009-06-04 15:16  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r5748] Source/DataDictionary/gdcmDicts.h,
	  Source/DataDictionary/gdcmGlobal.h: fixed two compiler warnings
	  generated by gcc's -Wunused. GDCM has many of these warnings, but
	  these two are in public headers. These headers are used by ITK
	  and are the only two places where this warning is triggered when
	  I build ITK using my own GDCM.

2009-06-02 14:17  Rogue Research <rogueresearch@users.sourceforge.net>

	* [r5747] Examples/Cxx/LargeVRDSExplicit.cxx,
	  Source/Common/gdcmSwapper.txx,
	  Source/DataDictionary/gdcmDictConverter.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmAttribute.h,
	  Source/DataStructureAndEncodingDefinition/gdcmByteValue.h,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCP246ExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmCSAHeader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmExplicitImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmFile.h,
	  Source/DataStructureAndEncodingDefinition/gdcmFileMetaInformation.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmImplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmItem.h,
	  Source/DataStructureAndEncodingDefinition/gdcmPrivateTag.h,
	  Source/DataStructureAndEncodingDefinition/gdcmReader.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfFragments.h,
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmTransferSyntax.h,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmUNExplicitImplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmVR16ExplicitDataElement.txx,
	  Source/DataStructureAndEncodingDefinition/gdcmWriter.cxx,
	  Source/InformationObjectDefinition/gdcmTableReader.cxx,
	  Source/InformationObjectDefinition/gdcmXMLDictReader.cxx,
	  Source/InformationObjectDefinition/gdcmXMLPrivateDictReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmBitmap.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDataSetHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDictPrinter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmIPPSorter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageChangeTransferSyntax.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmImageHelper.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEG2000Codec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGBITSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmJPEGLSCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmLookupTable.h,
	  Source/MediaStorageAndFileFormat/gdcmOverlay.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPersonName.h,
	  Source/MediaStorageAndFileFormat/gdcmPhotometricInterpretation.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixelFormat.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapReader.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPixmapWriter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmPrinter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRAWCodec.cxx,
	  Source/MediaStorageAndFileFormat/gdcmRescaler.cxx,
	  Source/MediaStorageAndFileFormat/gdcmScanner.cxx,
	  Source/MediaStorageAndFileFormat/gdcmSegmentedPaletteColorLookupTable.cxx,
	  Source/MediaStorageAndFileFormat/gdcmStringFilter.cxx,
	  Source/MediaStorageAndFileFormat/gdcmTagPath.cxx,
	  Testing/Source/Common/Cxx/TestUnpacker12Bits.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax3.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax4.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax5.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax6.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageChangeTransferSyntax7.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageReader.cxx,
	  Testing/Source/MediaStorageAndFileFormat/Cxx/TestImageWriter.cxx,
	  Utilities/VTK/Examples/Cxx/threadgdcm.cxx,
	  Utilities/rle/example.c, Utilities/rle/rlelib.c,
	  Wrapping/Python/gdcmPythonFilter.cxx, Wrapping/Python/gdcmswig.i,
	  Wrapping/SWIGCommon/gdcmcommon.i: [Issue #2794417]: replaced most
	  abort() with assert(0)

2009-05-30 08:55  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5746] Utilities/doxygen/man/gdcmconv.man: fix doc

2009-05-29 16:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5745] Utilities/VTK/Examples/Csharp/HelloActiviz5.cs: cleanup

2009-05-29 16:18  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5744] Utilities/VTK/Examples/Csharp/CMakeLists.txt,
	  Utilities/VTK/Examples/Csharp/HelloActiviz3.cs,
	  Utilities/VTK/Examples/Csharp/HelloActiviz4.cs,
	  Utilities/VTK/Examples/Csharp/HelloActiviz5.cs: ENH: adding all
	  kind of example... they are all working

2009-05-29 15:46  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5743] Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h:
	  document current bug

2009-05-29 15:20  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5742] Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h,
	  Wrapping/Csharp/gdcm.i: wrap gdcm::DICOMDIRGenerator in C#

2009-05-29 15:19  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5741] Utilities/doxygen/man/gdcmgendir.man: doc for gdcmgendir

2009-05-29 14:27  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5740] Source/MediaStorageAndFileFormat/gdcmDICOMDIR.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h: please
	  doxygen

2009-05-29 14:25  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5739]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: BUG:
	  Patient ID are *always* related.

2009-05-29 14:21  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5738]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: BUG:
	  fix handling of multiple PatientID

2009-05-29 13:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5737]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx: Image
	  Type is Type 1C

2009-05-29 13:04  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5736]
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/CMakeLists.txt,
	  Testing/Source/DataStructureAndEncodingDefinition/Cxx/TestCodeString.cxx:
	  add documentation reject improper filename (not iso9660)

2009-05-29 10:28  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5735] Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h:
	  doc

2009-05-29 10:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5734] Applications/Cxx/gdcmgendir.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h: ENH:
	  specify filesetid if user requrest. Update API for selected files

2009-05-29 10:16  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5733] Source/DataStructureAndEncodingDefinition/CMakeLists.txt,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.cxx,
	  Source/DataStructureAndEncodingDefinition/gdcmCodeString.h,
	  Source/DataStructureAndEncodingDefinition/gdcmVR.h: ENH: add a
	  VR:CS implementation

2009-05-29 09:34  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5732]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h: handle
	  multiple series/study

2009-05-28 15:15  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5731]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h:
	  simplest case working... woohoo

2009-05-28 15:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5730]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h:
	  Properly reference the next directory record

2009-05-28 14:08  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5729]
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx:
	  almost there :)

2009-05-28 14:02  Mathieu Malaterre <malat@users.sourceforge.net>

	* [r5728]
	  Source/DataStructureAndEncodingDefinition/gdcmSequenceOfItems.h,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.cxx,
	  Source/MediaStorageAndFileFormat/gdcmDICOMDIRGenerator.h:
